Index: tensions/MyPiwiShop/language/fr_FR/index.html
===================================================================
--- /extensions/MyPiwiShop/language/fr_FR/index.html	(revision 27743)
+++ 	(revision )
@@ -1,7 +1,0 @@
-<?php
-$url = '../';
-header( 'Request-URI: '.$url );
-header( 'Content-Location: '.$url );
-header( 'Location: '.$url );
-exit();
-?>
Index: /extensions/MyPiwiShop/language/fr_FR/intro.html
===================================================================
--- /extensions/MyPiwiShop/language/fr_FR/intro.html	(revision 27744)
+++ /extensions/MyPiwiShop/language/fr_FR/intro.html	(revision 27744)
@@ -0,0 +1,92 @@
+ <style type="text/css">
+.pres li:before {
+    content: "- "; 
+}
+.pres p{
+	margin-top:0
+}
+.pres h5{
+	font-size:1.2em
+}
+
+</style> 
+
+<div class="pres">
+<p>Vous voulez vendre des produits dérivés issus de vos images, par exemple
+  vous voulez proposer à la vente des photos de formats différents,
+  de qualités différentes et afficher pour chacune des tarifs et
+  des tailles de tirages adaptés ? Vous vendez des Tee-shirts floquer de l'image, des mugs, etc ? 
+  
+  Le plugin ajoute sur la page des images un formulaire, qui propose pour l'image concernée les produits que vous aurez créer pour elle.
+  Le paiement ce fait par PayPal, vous devez donc avoir un compte. Lorsque la commande est passée vous récupérez, le nom de l'image concernée, le nom du produit, les options choisie par l'acheteur et ses nome et adresse, depuis votre compte PayPal.</p>
+<br> 
+<h4>Comment l'utiliser ?</h4>
+  <h5>1 Côté administration du plugin dans l'onglet</h5>
+  <p style="font-weight:bold">1.1 _Configuration_</p>
+  <ul> 
+  <li>Saisissez votre code client Paypal ou votre adresse mail Paypal.</li>
+  <li>la monnaie utilisée.</li>
+  <li>les frais d'expédition si ceux-ci sont fixes, (Sinon, incluez-les dans le prix de chaque article).</li>
+  <li>Si nécessaire, saisissez une présentation de vos produits (ex:Tee-shirts 100% coton fabriqué en Chine...).</li>
+  <li>Si nécessaire, saisissez votre texte pour présenter plusieurs produits  (ex:Choisissez un produit dans la liste).</li>
+  <li>Si nécessaire, saisissez votre texte pour présenter un produits unique (ex:produit disponible).</li>
+  </ul>
+  
+  <p style="font-weight:bold">1.2 _Produits_</p>
+  <ul> 
+  <li>1.2.1 Ajouter un produit
+  <p>saisissez le nom de votre produit</p>
+  <p>Si nécessaire, saisissez une information complémentaire, cette note n'est visible que de vous dans l'administration de MyPiwiShop</p>
+  <p>saisissez un prix</p>
+  <p>sélectionnez une option ou créez s'en une (reportez vous au paragraphe 3.1)<p>
+  <p>puis valider</p>
+  </li>
+  <li>1.2.2 tableau des produits
+  <p>cocher un ou plusieurs produits pour les supprimer</p>
+  <p>vous pouvez éditer ou dupliquer un produit</p>
+  </li>
+  <li>1.2.3 Changer l'ordre d'affichage des produits dans le formulaire
+  <p> par défaut les produits sont affichés dans l'ordre de leur création, vous pouvez changer cet ordre en faisant glisser/déposer à l'emplacement désiré</p>
+  </li>
+  </ul>
+  
+  <p style="font-weight:bold">1.3 _Options_</p>
+  <ul> 
+  <li>1.3.1 Ajouter une option
+  <p>saisissez le nom de votre option</p>
+  <p>Choisissez le type d'option : select:liste déroulante(ex: taille s/l/xl/xxl); radio: bouton radio(ex:cadre oui/non); text: champ de type texte(ex: largeur de bordure en cm); textarea: champ de texte long(ex: laissez-moi un commentaire); Checkbox: bouton checkbox(ex: j'ai lu et j'accepte les conditions d'utilisation) </p>
+  <p>Si le champ est requis pour valider la commande cochez la case</p>
+  <p>Si nécessaire, saisissez une information complémentaire, cette note n'est visible que de vous dans l'administration de MyPiwiShop</p>
+  <p>En fonction du type d'option sélectionné vous devrez créer des valeurs (select, radio et checkbox)</p>
+  <p>puis valider</p>
+  </li>
+  <li>1.3.2 tableau des produits
+  <p>cocher une ou plusieurs options pour les supprimer</p>
+  <p>vous pouvez éditer ou dupliquer une option</p>
+  </li>
+  <li>1.3.3 Changer l'ordre d'affichage des options dans le formulaire
+  <p> par défaut les options sont affichées dans l'ordre de leur création, vous pouvez changer cet ordre en faisant glisser/déposer à l'emplacement désiré</p>
+  </li>
+
+
+  <h5> 2 Coté administration de piwigo</h5>
+  <p>vous devez maintenant attribuer aux images un ou plusieurs produits, pour cela aller dans photos/gestion par lot</p>
+  <br>
+  <li>2.1 mode global</li>
+  <p>sélectionner les images auxquelles vous voulez attribuer des produits<p>
+  <p>dans choisir une action, choisissez MyPiwiShop<p>
+  <p>sélectionner vos produits</p>
+  <p>vous pouvez également, supprimer les produits sélectionnés pour ces images</p>
+  <p>puis validez</p>
+  <br>
+  <li>2.2 mode unitaire</li>
+  <p>pour chaque image vous disposez d'un lien "voir les produits associés à cette image"<p>
+  <p>un tableau resence les produits sélectionnés pour l'image</p>
+  <p>vous pouvez cocher/décocher les produits pour les attribuer ou les des-attribuer</p>
+  <p>puis validez</p>
+</ul> 
+  
+  
+  
+  
+  