Index: extensions/MyPiwiShop/language/pt_BR/description.txt
===================================================================
--- extensions/MyPiwiShop/language/pt_BR/description.txt	(revision 27757)
+++ extensions/MyPiwiShop/language/pt_BR/description.txt	(revision 27757)
@@ -0,0 +1,1 @@
+Criar uma micro loja de Produtos Derivados a Partir de SUAS imagens
Index: extensions/MyPiwiShop/language/pt_BR/index.php
===================================================================
--- extensions/MyPiwiShop/language/pt_BR/index.php	(revision 27757)
+++ extensions/MyPiwiShop/language/pt_BR/index.php	(revision 27757)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/MyPiwiShop/language/pt_BR/plugin.lang.php
===================================================================
--- extensions/MyPiwiShop/language/pt_BR/plugin.lang.php	(revision 27757)
+++ extensions/MyPiwiShop/language/pt_BR/plugin.lang.php	(revision 27757)
@@ -0,0 +1,88 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2014 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['Change the display order of options in the form'] = 'Alterar a ordem de opções de exibição neste formulário';
+$lang['Edit'] = 'Editar';
+$lang['No product selected'] = 'Nenhum produto selecionado';
+$lang['the order is changed'] = 'a ordem foi modificada';
+$lang['the product'] = '
+o produto';
+$lang['you must enter the name of the option'] = 'você deve digitar o nome da opção';
+$lang['you must enter the product and not the price'] = 'você deve digitar o produto e não o preço';
+$lang['The order is changed'] = 'A ordem foi alterada';
+$lang['Type'] = 'Tipo';
+$lang['Type of option'] = 'Tipo de opção';
+$lang['Validate the change'] = 'Validar a alteração';
+$lang['Value'] = 'Valor';
+$lang['View cart'] = 'Ver carrinho';
+$lang['What is MyPiwiShop?'] = 'O que é  MyPiwiShop?';
+$lang['Your Paypal id'] = 'O seu ID Paypal ou o endereço de email de sua conta Paypal';
+$lang['a option'] = 'uma opção';
+$lang['a product'] = 'um produto';
+$lang['add value'] = 'adicionar valor';
+$lang['drag / drop to change the order'] = 'arrastar/soltar para alterar a ordem';
+$lang['duplicate'] = 'duplicar';
+$lang['option registered'] = 'opção registrada';
+$lang['products have been added to these images'] = 'produtos foram adicionados a essas imagens';
+$lang['products have been removed for these pictures'] = '
+produtos foram removidos para essas imagens';
+$lang['see related products for this picture'] = 'ver produtos relacionados a essa imagem';
+$lang['shipping fees'] = 'taxas de envio';
+$lang['the option'] = 'a opção';
+$lang['Note administrator'] = 'Nota do administrador';
+$lang['Option registered'] = 'Opção registrada';
+$lang['Option value'] = 'Valor da opção';
+$lang['Options'] = 'Opções';
+$lang['Presentation text for a single product'] = 'Apresentação de texto para um único produto';
+$lang['Presentation text for several products'] = 'Apresentação de texto para vários produtos';
+$lang['Price'] = 'Preço';
+$lang['Product'] = 'Produto';
+$lang['Product registered'] = 'Produto registrado';
+$lang['Products'] = 'Produtos';
+$lang['Products have been added to these images'] = '
+Os produtos foram adicionados a essas imagens';
+$lang['Products have been removed for these pictures'] = 'Os produtos foram removidos a essas imagens';
+$lang['Registered'] = 'Registrado';
+$lang['Required'] = 'Requerido';
+$lang['Select at least one product'] = 'Selecionar pelo menos um produto';
+$lang['Shipping cost'] = 'Custo de envio';
+$lang['Shop'] = 'Loja';
+$lang['Showing 0 to 0 of 0 records'] = 'Mostrando 0 a 0 de 0 registros';
+$lang['Showing _START_ to _END_ of _TOTAL_ records'] = 'Mostrando_INÍCIO_para_FIM_registros _TOTAL';
+$lang['The field is required'] = 'O campo é obrigatório';
+$lang[' option'] = 'opção';
+$lang[' product'] = 'produto';
+$lang['(filtered from _MAX_ total records)'] = 'fitrado registros de_MAX_total';
+$lang['Add '] = 'Adicionar';
+$lang['Add a option'] = 'Adicionar uma opção';
+$lang['Add a product'] = 'Adicionar um produto';
+$lang['Add the selected products for these images'] = 'Adicionar e selecionar produtos para esta imagem';
+$lang['Buy'] = 'Comprar';
+$lang['Change the display order of products in the form'] = 'Alterar a ordem de exibição de produtos neste formulário';
+$lang['Configuration'] = 'Configuração';
+$lang['Currency'] = 'Moeda';
+$lang['Delete the selected products for these images'] = 'Excluir os produtos selecionados para essas imagens';
+$lang['Display _MENU_ records per page'] = 'Por página exibir_MENU_registros';
+$lang['Duplicate '] = 'Duplicar';
+$lang['Fields marked with * must be completed'] = 'Os campos marcados com * devem ser preenchidos';
+$lang['No matching option found'] = 'Nenhuma opção correspondente encontrada';
+?>