Index: /extensions/MyPiwiShop/language/en_UK/intro.html
===================================================================
--- /extensions/MyPiwiShop/language/en_UK/intro.html	(revision 27757)
+++ /extensions/MyPiwiShop/language/en_UK/intro.html	(revision 27758)
@@ -13,39 +13,38 @@
 
 <div class="pres">
-<p>Vous voulez vendre des produits dérivés issus de vos images, par exemple
-  vous voulez proposer à la vente des photos de formats différents,
-  de qualités différentes et afficher pour chacune des tarifs et
-  des tailles de tirages adaptés ? Vous vendez des Tee-shirts floquer de l'image, des mugs, etc ? 
+<p>You want to sell products derivated from your pictures, 
+you want to sell some photos with different sizes or quality and fixe diffrents prices for each one ? 
+You sell some tee-shirts with photo printed, mugs or others ? 
   
-  Le plugin ajoute sur la page des images un formulaire, qui propose pour l'image concernée les produits que vous aurez créer pour elle.
-  Le paiement ce fait par PayPal, vous devez donc avoir un compte. Lorsque la commande est passée vous récupérez, le nom de l'image concernée, le nom du produit, les options choisie par l'acheteur et ses nome et adresse, depuis votre compte PayPal.</p>
+This plugin add a form in image pages to propose for the selected image the products you create with it.
+Paypal is used for the transaction, you MUST have a paypal account. When order is completed, you've got the picture and product names, the selected options, name and address of the user directly from your paypal account.</p>
 <br> 
-<h4>Comment l'utiliser ?</h4>
+<h4>Howto use ?</h4>
   <h5>1 Côté administration du plugin dans l'onglet</h5>
   <p style="font-weight:bold">1.1 _Configuration_</p>
   <ul> 
-  <li>Saisissez votre code client Paypal ou votre adresse mail Paypal.</li>
-  <li>la monnaie utilisée.</li>
-  <li>les frais d'expédition si ceux-ci sont fixes, (Sinon, incluez-les dans le prix de chaque article).</li>
-  <li>Si nécessaire, saisissez une présentation de vos produits (ex:Tee-shirts 100% coton fabriqué en Chine...).</li>
-  <li>Si nécessaire, saisissez votre texte pour présenter plusieurs produits  (ex:Choisissez un produit dans la liste).</li>
-  <li>Si nécessaire, saisissez votre texte pour présenter un produits unique (ex:produit disponible).</li>
+  <li>Enter your Paypal code or Paypal email.</li>
+  <li>The currency used.</li>
+  <li>Expedion costs if they are fix, else include them in the product price.</li>
+  <li>If needed, enter a short description of your products (ex: 100% Coton Tee-shirts made in China...).</li>
+  <li>If needed, enter a short description to presents part of your products (ex: Choose one product in the list).</li>
+  <li>If needde, enter your text to present a unique product (ex: available product).</li>
   </ul>
   
-  <p style="font-weight:bold">1.2 _Produits_</p>
+  <p style="font-weight:bold">1.2 _Products_</p>
   <ul> 
-  <li>1.2.1 Ajouter un produit
-  <p>saisissez le nom de votre produit</p>
-  <p>Si nécessaire, saisissez une information complémentaire, cette note n'est visible que de vous dans l'administration de MyPiwiShop</p>
-  <p>saisissez un prix</p>
-  <p>sélectionnez une option ou créez s'en une (reportez vous au paragraphe 3.1)<p>
-  <p>puis valider</p>
+  <li>1.2.1 Add product
+  <p>Enter the product name</p>
+  <p>If needed, use additional information. This note is visible in administraion page of MyPiwiShop</p>
+  <p>Enter the price</p>
+  <p>Select or create an option (refer §3.1)<p>
+  <p>Then submit</p>
   </li>
-  <li>1.2.2 tableau des produits
-  <p>cocher un ou plusieurs produits pour les supprimer</p>
-  <p>vous pouvez éditer ou dupliquer un produit</p>
+  <li>1.2.2 Produst list
+  <p>Tick one or more products to remove them from the list</p>
+  <p>You can edit or duplicater products</p>
   </li>
-  <li>1.2.3 Changer l'ordre d'affichage des produits dans le formulaire
-  <p> par défaut les produits sont affichés dans l'ordre de leur création, vous pouvez changer cet ordre en faisant glisser/déposer à l'emplacement désiré</p>
+  <li>1.2.3 Manage product order in form
+  <p>Products are displayed by creation date order by default. You chan change this using drag and drop on product item</p>
   </li>
   </ul>
@@ -53,36 +52,35 @@
   <p style="font-weight:bold">1.3 _Options_</p>
   <ul> 
-  <li>1.3.1 Ajouter une option
-  <p>saisissez le nom de votre option</p>
-  <p>Choisissez le type d'option : select:liste déroulante(ex: taille s/l/xl/xxl); radio: bouton radio(ex:cadre oui/non); text: champ de type texte(ex: largeur de bordure en cm); textarea: champ de texte long(ex: laissez-moi un commentaire); Checkbox: bouton checkbox(ex: j'ai lu et j'accepte les conditions d'utilisation) </p>
-  <p>Si le champ est requis pour valider la commande cochez la case</p>
-  <p>Si nécessaire, saisissez une information complémentaire, cette note n'est visible que de vous dans l'administration de MyPiwiShop</p>
-  <p>En fonction du type d'option sélectionné vous devrez créer des valeurs (select, radio et checkbox)</p>
-  <p>puis valider</p>
+  <li>1.3.1 Add an option
+  <p>Enter the option name</p>
+  <p>Select the option type: select: combo box (ex: size s/l/xl/xxl); radio: radio button (ex:cadre yes/no); text: text field (ex: border width in cm); textarea: text erea (ex: Let's comment); Checkbox: check button (ex: I read and accept terms of use)</p>
+  <p>If field is required to validate order, tick the box</p>
+  <p>If needed, use additional information. This note is visible in administraion page of MyPiwiShop</p>
+  <p>You have to create some values depending the selected option type (select, radio and checkbox)</p>
+  <p>Then apply changes</p>
   </li>
-  <li>1.3.2 tableau des produits
-  <p>cocher une ou plusieurs options pour les supprimer</p>
-  <p>vous pouvez éditer ou dupliquer une option</p>
+  <li>1.3.2 Table of products
+  <p>Tick one or more options to delete</p>
+  <p>You can edit or duplicate an option</p>
   </li>
-  <li>1.3.3 Changer l'ordre d'affichage des options dans le formulaire
-  <p> par défaut les options sont affichées dans l'ordre de leur création, vous pouvez changer cet ordre en faisant glisser/déposer à l'emplacement désiré</p>
+  <li>1.3.3 Manage options order in form
+  <p> Options are listed by creation date by default. You can change this order using drag'n drop</p>
   </li>
 
 
-  <h5> 2 Coté administration de piwigo</h5>
-  <p>vous devez maintenant attribuer aux images un ou plusieurs produits, pour cela aller dans photos/gestion par lot</p>
+  <h5> 2 Piwigo administration side</h5>
+  <p>Now you have to link one or more products to photos. For this use the page "photos/batch manager".</p>
   <br>
-  <li>2.1 mode global</li>
-  <p>sélectionner les images auxquelles vous voulez attribuer des produits<p>
-  <p>dans choisir une action, choisissez MyPiwiShop<p>
-  <p>sélectionner vos produits</p>
-  <p>vous pouvez également, supprimer les produits sélectionnés pour ces images</p>
-  <p>puis validez</p>
+  <li>2.1 Global mode</li>
+  <p>Select images you want to link to products.<p>
+  <p>In action menu, choose MyPiwiShop.<p>
+  <p>Select your products (You can also remove products already selected for theese pictures).</p>
+  <p>Then apply action</p>
   <br>
-  <li>2.2 mode unitaire</li>
-  <p>pour chaque image vous disposez d'un lien "voir les produits associés à cette image"<p>
-  <p>un tableau resence les produits sélectionnés pour l'image</p>
-  <p>vous pouvez cocher/décocher les produits pour les attribuer ou les des-attribuer</p>
-  <p>puis validez</p>
+  <li>2.2 Single mode</li>
+  <p>For each photo you can use the link "see related products for this picture".<p>
+  <p>Products used for the picture are listed.</p>
+  <p>You can tick/untick products to link/unlink them to the photo.</p>
+  <p>Then validate the change</p>
 </ul> 
   