Index: /extensions/MyPiwiShop/language/tr_TR/description.txt
===================================================================
--- /extensions/MyPiwiShop/language/tr_TR/description.txt	(revision 27759)
+++ /extensions/MyPiwiShop/language/tr_TR/description.txt	(revision 27759)
@@ -0,0 +1,1 @@
+İmajlarınızdan türev ürünleri içeren bir mikro mağaza oluşturun.
Index: /extensions/MyPiwiShop/language/tr_TR/index.php
===================================================================
--- /extensions/MyPiwiShop/language/tr_TR/index.php	(revision 27759)
+++ /extensions/MyPiwiShop/language/tr_TR/index.php	(revision 27759)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/MyPiwiShop/language/tr_TR/plugin.lang.php
===================================================================
--- /extensions/MyPiwiShop/language/tr_TR/plugin.lang.php	(revision 27759)
+++ /extensions/MyPiwiShop/language/tr_TR/plugin.lang.php	(revision 27759)
@@ -0,0 +1,64 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2014 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['Type'] = 'Tip';
+$lang['Type of option'] = 'Seçenek tipi';
+$lang['Select at least one product'] = 'En az bir ürün seçin';
+$lang['Showing 0 to 0 of 0 records'] = '0\'dan 0\'a 0 kayıt gösteriliyor';
+$lang['Edit'] = 'Düzenle';
+$lang['duplicate'] = 'kopyala';
+$lang['add value'] = 'değer ekle';
+$lang['a product'] = 'bir ürün';
+$lang['drag / drop to change the order'] = 'siparişi değiştirmek için sürükle/bırak';
+$lang['a option'] = 'bir seçenek';
+$lang['Your Paypal id'] = 'PayPal hesabınıza ait rumuzunuz yada eposta adresiniz';
+$lang['What is MyPiwiShop?'] = 'MyPiwiShop nedir?';
+$lang['Validate the change'] = 'Değişikliği doğrula';
+$lang[' option'] = 'seçenek';
+$lang['Add a option'] = 'Bir seçenek ekleyin';
+$lang['Option registered'] = 'Seçenek kaydedildi';
+$lang['Option value'] = 'Seçenek değeri';
+$lang['Note administrator'] = 'Yöneticiye not';
+$lang['Value'] = 'Değer';
+$lang['you must enter the product and not the price'] = 'ücreti değil ürünü girmelisiniz';
+$lang['Registered'] = 'Kaydedildi';
+$lang['Required'] = 'Gerekli';
+$lang['Shop'] = 'Mağaza';
+$lang['Shipping cost'] = 'Gönderim maliyeti';
+$lang['Options'] = 'Seçenekler';
+$lang['Price'] = 'Fiyat';
+$lang['Product'] = 'Ürün';
+$lang['Product registered'] = 'Ürün kaydedildi';
+$lang['Products'] = 'Ürünler';
+$lang['Products have been added to these images'] = 'Ürünler bu imajlara eklendi';
+$lang['Products have been removed for these pictures'] = 'Ürünler bu resimlerden çıkartıldı';
+$lang[' product'] = 'ürün';
+$lang['Add '] = 'Ekle';
+$lang['Add a product'] = 'Bir ürün ekle';
+$lang['Buy'] = 'Satınal';
+$lang['Configuration'] = 'Yapılandırma';
+$lang['Currency'] = 'Para birimi';
+$lang['Duplicate '] = 'Kopyala';
+$lang['No product selected'] = 'Ürün seçilmedi';
+$lang['No matching option found'] = 'Eşleşen seçenek bulunamadı';
+$lang['Fields marked with * must be completed'] = '* ile işaretlenen alanların doldurulması zorunludur';
+?>