Index: /extensions/MyPiwiShop/language/ru_RU/intro.html
===================================================================
--- /extensions/MyPiwiShop/language/ru_RU/intro.html	(revision 27760)
+++ /extensions/MyPiwiShop/language/ru_RU/intro.html	(revision 27760)
@@ -0,0 +1,84 @@
+ <style type="text/css">
+.pres li:before {
+    content: "- "; 
+}
+.pres p{
+	margin-top:0
+}
+.pres h5{
+	font-size:1.2em
+}
+
+</style> 
+
+<div class="pres">
+<p>Хотите продавать товары, созданные на основе Ваших изображений? Например, Вы можете предлагать для продажи изображения разных форматов, с разным качеством, с разной скоростью скачивания, с разными возможностями печати и проч. А, может быть, Вы предлагаете футболки с нанесением оригинальных изображений?
+  
+   Плагин добавляет на страницу изображения специальную форму, через которую предлагаются товары, созданные на базе изображения.
+Предусмотрена оплата по PayPal, так что Вы должны иметь там учетную запись. При заказе в Вашей галерее, Вы получите с вашего счета PayPal сведения - имя, изображение, наименование, параметры, выбранные покупателем, а также его имя и адрес.</p>
+<br> 
+<h4>Как использовать?</h4>
+  <h5>1 На вкладке администрирования плагина</h5>
+  <p style="font-weight:bold">1.1 _Конфигурация_</p>
+  <ul> 
+  <li>Введите свой pin-код клиента Paypal или Ваш адрес электронной почты Paypal.</li>
+  <li>Укажите валюту.</li>
+  <li>Транспортные расходы, если они являются фиксированными (в противном случае, включайте в цену каждого товара).</li>
+  <li>Если необходимо, представьте свои товары (например: футболки - 100% хлопок, сделано в ателье "У Гиви"...).</li>
+  <li>Если необходимо, введите Ваш текст, который булет применяться для нескольких товаров (например: Выбрать товар из списка).</li>
+  <li>Если необходимо, введите Ваш текст, который будет применяться к конкретным единичным товарам (например: Товар доступен).</li>
+  </ul>
+  
+  <p style="font-weight:bold">1.2 _Товары_</p>
+  <ul> 
+  <li>1.2.1 Добавление товара
+  <p>Введите название товара</p>
+  <p>При необходимости введите дополнительную информацию; эта запись будет видна только администрации MyPiwiShop</p>
+  <p>Введите цену</p>
+  <p>Выберите параметры товара, или создайте новые (см. раздел 3.1)<p>
+  <p>Затем сохраните внесенные сведения</p>
+  </li>
+  <li>1.2.2 Таблица товаров
+  <p>Можно отметить один или несколько товаров, чтобы удалить</p>
+  <p>Вы можете редактировать или копировать товар</p>
+  </li>
+  <li>1.2.3 Изменение порядка отображения товаров в форме
+  <p>По умолчанию товары отображаются в порядке их создания, но Вы можете изменить этот порядок, перетаскивая их мышью в нужное место.</p>
+  </li>
+  </ul>
+  
+  <p style="font-weight:bold">1.3 _Параметры товаров_</p>
+  <ul> 
+  <li>1.3.1 Добавление параметра
+  <p>Введите наименование параметра</p>
+  <p>Выберите тип параметра: select - в раскрывающемся списке(например, размер бывает s/l/xl/xxl); radio: кнопки (например: да/нет); text: поле ввода текста (например: ширина границы в см); textarea: поле текста (например: оставьте мне комментарий); Checkbox: кнопка checkbox (например: я прочитал и согласен с условиями использования)</p>
+  <p>Если поле является обязательным для проверки заказа, то установите флажок</p>
+  <p>При необходимости введите дополнительную информацию; эта запись будет видна только администрации MyPiwiShop</p>
+  <p>В зависимости от типа выбранного параметра, Вы должны будете создать значения (select, radio, text или checkbox)</p>
+  <p>Затем сохраните внесенные сведения</p>
+  </li>
+  <li>1.3.2 Таблица товаров
+  <p>Отметьте один или несколько параметров, чтобы удалить</p>
+  <p>Вы можете редактировать или дублировать параметр</p>
+  </li>
+  <li>1.3.3 Изменение порядка отображения элементов в форме
+  <p>По умолчанию параметры отображаются в порядке их создания, но Вы можете изменить этот порядок, перетаскивая их мышью в нужное место.</p>
+  </li>
+
+
+  <h5> 2 Вкладка администрации Piwigo</h5>
+  <p>Теперь Вы должны назначить изображения для одного или нескольких товаров. Для этого перейдите на страницу изображения товара.</p>
+  <br>
+  <li>2.1 Групповой режим</li>
+  <p>Выберите изображения, которые Вы хотите назначить товарам<p>
+  <p>В режиме выбора действия выберите "MyPiwiShop"<p>
+  <p>Выберите товары</p>
+  <p>Вы также можете удалить выбранные товары для этих изображений</p>
+  <p>Затем сохраните внесенные сведения</p>
+  <br>
+  <li>2.2 Одиночный режим</li>
+  <p>Для каждого изображения у вас есть ссылка "Показать все товары, связанные с этим изображением"<p>
+  <p>В таблице перечисляются выбранные товары для изображения</p>
+  <p>Вы можете пометить/снять пометку на товарах, чтобы назначить или отменить назначение</p>
+  <p>Затем сохраните внесенные сведения</p>
+</ul> 
Index: /extensions/MyPiwiShop/language/ru_RU/plugin.lang.php
===================================================================
--- /extensions/MyPiwiShop/language/ru_RU/plugin.lang.php	(revision 27759)
+++ /extensions/MyPiwiShop/language/ru_RU/plugin.lang.php	(revision 27760)
@@ -21,5 +21,5 @@
 // | USA.                                                                  |
 // +-----------------------------------------------------------------------+
-$lang['Edit'] = 'Редактировать';
+$lang['Edit'] = 'Edit';
 $lang['the product'] = 'товар';
 $lang['you must enter the name of the option'] = 'необходимо ввести имя параметра';