Index: /extensions/MyPiwiShop/language/es_ES/description.txt
===================================================================
--- /extensions/MyPiwiShop/language/es_ES/description.txt	(revision 27761)
+++ /extensions/MyPiwiShop/language/es_ES/description.txt	(revision 27761)
@@ -0,0 +1,1 @@
+Crear una micro-tienda de productos derivados de sus imágenes
Index: /extensions/MyPiwiShop/language/es_ES/index.php
===================================================================
--- /extensions/MyPiwiShop/language/es_ES/index.php	(revision 27761)
+++ /extensions/MyPiwiShop/language/es_ES/index.php	(revision 27761)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/MyPiwiShop/language/es_ES/intro.html
===================================================================
--- /extensions/MyPiwiShop/language/es_ES/intro.html	(revision 27761)
+++ /extensions/MyPiwiShop/language/es_ES/intro.html	(revision 27761)
@@ -0,0 +1,81 @@
+ <style type="text/css">
+.pres li:before {
+    content: "- "; 
+}
+.pres p{
+	margin-top:0
+}
+.pres h5{
+	font-size:1.2em
+}
+
+</style> 
+<div class="pres">
+<p>Puede vender productos derivados de sus imágenes, por ejemplo si quiere vender fotos de formatos diferentes,
+de calidad diferente y mostrar para cada una tarifas y tamaños adaptados. Vender Tee-shirts floqueados de la imagen, tazas,...
+
+El plugin añade en la pagina de las imágenes un formulario, que propone para cada imagen productos que habrá creado para ella.
+El pago se hace a través de Paypal, debe tener una cuenta. Una vez el pedido hecho, recuperara el nombre de la imagen el nombre
+del producto, las opciones elegida por el comprador y sus nombre y dirección, desde su cuenta Paypal. </p>
+<br> 
+<h4>Como utilizarlo ?</h4>
+  <h5>1 Administración del plugin por la pestaña</h5>
+  <p style="font-weight:bold">1.1 _Configuración_</p>
+  <ul> 
+  <li>Ingrese su número de cuenta de PayPal o su dirección de correo electrónico de PayPal.</li>
+  <li>la moneda utilizada.</li>
+  <li>los gastos de transporte si son fijos (sino incluirlos en el precio de cada articulo).</li>
+  <li>Si es necesario, añadir una presentación de sus productos (ej:Camiseta 100% algodón fabricado en china...).</li>
+  <li>Si es necesario, editar el texto para presentar un producto único (ej:producto disponible).</li>
+  </ul>
+  
+  <p style="font-weight:bold">1.2 _Productos_</p>
+  <ul> 
+  <li>1.2.1   <li>1.2.1 Añade un producto
+  <p>introduce el nombre de su producto</p>
+  <p>Si es necesario, introduce una información complementaria, esta nota sera visible solo por usted en la administración de MyPiwiShop</p>
+  <p>Introduce un precio</p>
+  <p>Seleccione una opción o crear una (ver el parágrafo 3.1)<p>
+  <p>puis valider</p>
+  </li>
+  <li>1.2.2 tabla de los productos
+  <p>marcar uno o varios productos para eliminarlos</p>
+  <p>Puede editar o duplicar un producto </p>
+  </li>
+  <li>1.2.3 Cambiar el orden de los productos en el formulario.
+<p>por defecto los productos se mostran en el orden de su creación, puede cambiar este orden haciendo un "arrastre/soltar" en el sitio deseado </p>
+  </li>
+  </ul>
+  
+  <p style="font-weight:bold">1.3 _Opciones_</p>
+  <ul> 
+  <li>1.3.1 Añadir una opción
+<p>introduce el nombre de la opción</p>
+<p>Elige el tipo de opción : select:desplegable(ex: tamaño s/l/xl/xxl); radio: boton radio(ex:cadr si/no); text: campo de tipo texto(ex: ancho del borde en cm); textarea: campo de texto largo(ex: déjeme un comentario); Checkbox: boton checkbox(ex: he leído y acepto las condiciones de utilización) </p>
+  <p>Si el campo requerido para validar la comanda marque la casilla) </p>
+  <p>Si es necesario, introduce una información complementaria, esta nota sera visible solo en la administración de MyPiwiShop</p>
+<p>Dependiendo del tipo de opción seleccionada deberá crear valores (select, radio et checkbox)</p>
+  <p>y validar</p>
+  </li>
+  <li>1.3.2tabla de productos
+<p>marcar una o varias opciones para eliminarlas</p>
+  <p>puede editar o duplicar una opción</p>
+  </li>
+  <li>1.3.3 Cambiar el orden de las opciones en el formulario.
+<p>por defecto las opciones están puestas en el orden de su creación, puede cambiar este orden haciendo un "arrastre/soltar" en el sitio deseado </p>
+
+  <h5> 2 Administración de Piwigo</h5>
+   <p>Ahora usted tiene que vincular uno o más productos a las fotos. Para esto utilice la página "fotos / gestionar lote".</p>
+  <br>
+  <li>2.1 Modo global</li>
+  <p>Seleccione la imagen que quiere vincular al producto.<p>
+  <p>En el menú acción , elige MyPiwiShop.<p>
+  <p>Seleccione su producto (puede también eliminar productos seleccionados para esta imagen)).</p>
+  <p>Y aplicar cambios</p>
+  <br>
+  <li>2.2 Modo simple</li>
+  <p>Para cada foto puede utilizar el enlace "ver productos relacionados para esta imagen".<p>
+  <p>Los productos para esta imagen están listos.<p>
+  <p>Puede marcar/desmarcar productos par enlazar/desenlazar los a la foto.<p>
+  <p>Y validar cambios</p>
+</ul> 
Index: /extensions/MyPiwiShop/language/es_ES/plugin.lang.php
===================================================================
--- /extensions/MyPiwiShop/language/es_ES/plugin.lang.php	(revision 27761)
+++ /extensions/MyPiwiShop/language/es_ES/plugin.lang.php	(revision 27761)
@@ -0,0 +1,85 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2014 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['the order is changed'] = 'el orden esta cambiado';
+$lang['the product'] = 'el producto';
+$lang['you must enter the name of the option'] = 'tiene que poner el nombre de la opción';
+$lang['you must enter the product and not the price'] = 'tiene que poner el producto y no el precio';
+$lang['Edit'] = 'Editar';
+$lang['The order is changed'] = 'El orden esta cambiado';
+$lang['Type'] = 'Tipo';
+$lang['Type of option'] = 'Tipo de opción';
+$lang['Validate the change'] = 'Validar el cambio';
+$lang['Value'] = 'Valor';
+$lang['View cart'] = 'Ver el carrito';
+$lang['What is MyPiwiShop?'] = '¿Que es "MyPiwiShop"?';
+$lang['Your Paypal id'] = 'Su Identificación de Paypal o de correo electrónico de su cuenta Paypal';
+$lang['a option'] = 'una opción';
+$lang['a product'] = 'un producto';
+$lang['add value'] = 'añadir valor';
+$lang['drag / drop to change the order'] = 'arrastrar / soltar para cambiar el orden';
+$lang['duplicate'] = 'duplicado';
+$lang['option registered'] = 'opción registrada';
+$lang['products have been added to these images'] = 'productos añadidos a estas imágenes';
+$lang['products have been removed for these pictures'] = 'productos eliminados de estas imágenes';
+$lang['see related products for this picture'] = 'ver los productos relacionados con esta imagen';
+$lang['shipping fees'] = 'costes de transporte';
+$lang['the option'] = 'opción';
+$lang['Note administrator'] = 'Nota del administrador';
+$lang['Option registered'] = 'Opción registrada';
+$lang['Option value'] = 'Valor de la opción';
+$lang['Options'] = 'Opciones';
+$lang['Presentation text for a single product'] = 'Texto de presentación para un único producto';
+$lang['Presentation text for several products'] = 'Texto de presentación para varios productos';
+$lang['Price'] = 'Precio';
+$lang['Product'] = 'Producto';
+$lang['Product registered'] = 'Producto registrado';
+$lang['Products'] = 'Productos';
+$lang['Products have been added to these images'] = 'Productos añadidos a estas imágenes';
+$lang['Products have been removed for these pictures'] = 'Productos eliminados de estas imágenes';
+$lang['Registered'] = 'Registrado';
+$lang['Required'] = 'Requerido';
+$lang['Select at least one product'] = 'Seleccione al menos un producto';
+$lang['Shipping cost'] = 'Costes de transporte';
+$lang['Shop'] = 'Tienda';
+$lang['Showing 0 to 0 of 0 records'] = 'Mostrando 0-0 de 0 registros';
+$lang['Showing _START_ to _END_ of _TOTAL_ records'] = 'Mostrando _START_ a _END_ de _TOTAL_registros';
+$lang['The field is required'] = 'Se requiere este campo';
+$lang[' option'] = 'Opciones';
+$lang[' product'] = 'producto';
+$lang['(filtered from _MAX_ total records)'] = '(filtrado de _MAX_ registros totales)';
+$lang['Add '] = 'Añadir';
+$lang['Add a option'] = 'Añadir una opción';
+$lang['Add a product'] = 'Añadir un producto';
+$lang['Add the selected products for these images'] = 'Añade el producto seleccionado para estas imágenes';
+$lang['Buy'] = 'Comprar';
+$lang['Change the display order of options in the form'] = 'Cambiar el orden de visualización de las opciones en el formulario';
+$lang['Change the display order of products in the form'] = 'Cambiar el orden de visualización de los productos en el formulario';
+$lang['Configuration'] = 'Configuración';
+$lang['Currency'] = 'Moneda';
+$lang['Delete the selected products for these images'] = 'Elimine los productos seleccionados para estas imagenes';
+$lang['Display _MENU_ records per page'] = 'Registros Display _MENU_ por página';
+$lang['Duplicate '] = 'Duplicado';
+$lang['Fields marked with * must be completed'] = 'Campos marcados con * deben ser completados';
+$lang['No matching option found'] = 'Ninguna correspondencias de opciones encontradas';
+$lang['No product selected'] = 'Ningún productos seleccionados';
+?>