Index: extensions/MyPiwiShop/language/pt_PT/description.txt
===================================================================
--- extensions/MyPiwiShop/language/pt_PT/description.txt	(revision 27762)
+++ extensions/MyPiwiShop/language/pt_PT/description.txt	(revision 27762)
@@ -0,0 +1,1 @@
+Criar uma pequena loja de produtos derivados das suas imagens
Index: extensions/MyPiwiShop/language/pt_PT/index.php
===================================================================
--- extensions/MyPiwiShop/language/pt_PT/index.php	(revision 27762)
+++ extensions/MyPiwiShop/language/pt_PT/index.php	(revision 27762)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/MyPiwiShop/language/pt_PT/plugin.lang.php
===================================================================
--- extensions/MyPiwiShop/language/pt_PT/plugin.lang.php	(revision 27762)
+++ extensions/MyPiwiShop/language/pt_PT/plugin.lang.php	(revision 27762)
@@ -0,0 +1,85 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2014 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['Edit'] = 'Editar';
+$lang['you must enter the product and not the price'] = 'Deve introduzir o produto e não o preço';
+$lang['(filtered from _MAX_ total records)'] = '(registos from_MAX_total filtrados)';
+$lang['Display _MENU_ records per page'] = 'Display _MENU_ records por página';
+$lang['Fields marked with * must be completed'] = 'Campos marcados com * devem ser completados';
+$lang['Presentation text for a single product'] = 'Texto de apresentalão para um único produto';
+$lang['Presentation text for several products'] = 'Texto de apresentalão para diversos produtos';
+$lang['Showing _START_ to _END_ of _TOTAL_ records'] = 'Showing _START_ to _END_ of _TOTAL_ records';
+$lang['Your Paypal id'] = 'O seu nick ou email de registo na Paypal';
+$lang['see related products for this picture'] = 'ver os produtos relacionados com esta imagem';
+$lang['shipping fees'] = 'Custos de envio';
+$lang['the option'] = 'a opção';
+$lang['the order is changed'] = 'a encomenda foi alterada';
+$lang['the product'] = 'o produto';
+$lang['you must enter the name of the option'] = 'introduza o nome da opção';
+$lang['Products have been added to these images'] = 'Produtos foram adicionados a estas imagens';
+$lang['Products have been removed for these pictures'] = 'Os produtos para estas imagens foram removidos';
+$lang['Showing 0 to 0 of 0 records'] = 'Mostrando 0 para 0 de 0 registos';
+$lang['View cart'] = 'ver cesto';
+$lang['What is MyPiwiShop?'] = 'O que é a minha loja Piwigo?';
+$lang['a option'] = 'uma opção';
+$lang['a product'] = 'um produto';
+$lang['add value'] = 'Adicionar valor';
+$lang['drag / drop to change the order'] = 'arrastar e depositar para alterar a ordem';
+$lang['duplicate'] = 'Duplicar';
+$lang['option registered'] = 'Opção registada';
+$lang['products have been added to these images'] = 'produtos adicionados a estas imagens';
+$lang['products have been removed for these pictures'] = 'produtos destas imagens foram removidos.';
+$lang['Product registered'] = 'Produto registado';
+$lang['Products'] = 'Produtos';
+$lang['Shipping cost'] = 'Custos de envio';
+$lang['Shop'] = 'Loja';
+$lang['The field is required'] = 'O campo é obrigatório';
+$lang['The order is changed'] = 'A ordem foi alterada';
+$lang['Type'] = 'Tipo';
+$lang['Type of option'] = 'Tipo de opção';
+$lang['Validate the change'] = 'Validar a alteração';
+$lang['Value'] = 'Valor';
+$lang['Delete the selected products for these images'] = 'Apagar os produtos selecionados para estas imagens';
+$lang['No matching option found'] = 'Não foi encontrada opção correspondente';
+$lang['Note administrator'] = 'Nota do Administrador';
+$lang['Option registered'] = 'Opção registada';
+$lang['Option value'] = 'Valor opcional';
+$lang['Options'] = 'Opções';
+$lang['Price'] = 'Preço';
+$lang['Product'] = 'Produto';
+$lang['Registered'] = 'Registado';
+$lang['Required'] = 'Requerido';
+$lang['Select at least one product'] = 'Selecionar pelo menos um produto';
+$lang[' option'] = 'opção';
+$lang[' product'] = 'produto';
+$lang['Add '] = 'Adicionar';
+$lang['Add a option'] = 'Adicionar uma opção';
+$lang['Add a product'] = 'Adicionar um produto';
+$lang['Add the selected products for these images'] = 'Adicionar os produtos selecionados para estas imagens';
+$lang['Buy'] = 'Comprar';
+$lang['Change the display order of options in the form'] = 'Alterar a ordem de visualização da opções no formulário';
+$lang['Change the display order of products in the form'] = 'Alterar a ordem de visualização dos produtos no formulário';
+$lang['Configuration'] = 'Configuração';
+$lang['Currency'] = 'Moeda';
+$lang['Duplicate '] = 'Duplicar';
+$lang['No product selected'] = 'Produto não selecionado';
+?>