Index: /extensions/MyPiwiShop/language/da_DK/description.txt
===================================================================
--- /extensions/MyPiwiShop/language/da_DK/description.txt	(revision 27767)
+++ /extensions/MyPiwiShop/language/da_DK/description.txt	(revision 27767)
@@ -0,0 +1,1 @@
+Opretter en mikrobutik med produkter afledt af dine billeder.
Index: /extensions/MyPiwiShop/language/da_DK/index.php
===================================================================
--- /extensions/MyPiwiShop/language/da_DK/index.php	(revision 27767)
+++ /extensions/MyPiwiShop/language/da_DK/index.php	(revision 27767)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/MyPiwiShop/language/da_DK/intro.html
===================================================================
--- /extensions/MyPiwiShop/language/da_DK/intro.html	(revision 27767)
+++ /extensions/MyPiwiShop/language/da_DK/intro.html	(revision 27767)
@@ -0,0 +1,90 @@
+ <style type="text/css">
+.pres li:before {
+    content: "- "; 
+}
+.pres p{
+	margin-top:0
+}
+.pres h5{
+	font-size:1.2em
+}
+
+</style> 
+
+<div class="pres">
+<p>Ønsker du at sælge produkter afledt af dine billeder, 
+ønsker du at sælge nogle fotografier i forskellige størrelser og kvalitet, samt give dem individuelle priser?
+Sælger du t-shirts påtrykt fotografier, krus eller andet?
+
+Denne plugin tilføjer en formular på billedsider, med det formål at præsentere produkter hørende til det viste billede.
+Paypal benyttes til betalingen, hvorfor man SKAL have en Paypal-konto. Når en ordre er gennemført, modtager man direkte fra sin Paypal-konto billed- og produktnavne, de udvalgte valgmuligheder, navn og adresse på brugeren.</p>
+<br> 
+<h4>Anvendelse</h4>
+  <h5>1 Côté administration du plugin dans l'onglet</h5>
+  <p style="font-weight:bold">1.1 _Configuration_</p>
+  <ul> 
+  <li>Enter your Paypal code or Paypal email.</li>
+  <li>The currency used.</li>
+  <li>Expedion costs if they are fix, else include them in the product price.</li>
+  <li>If needed, enter a short description of your products (ex: 100% Coton Tee-shirts made in China...).</li>
+  <li>If needed, enter a short description to presents part of your products (ex: Choose one product in the list).</li>
+  <li>If needde, enter your text to present a unique product (ex: available product).</li>
+  </ul>
+  
+  <p style="font-weight:bold">1.2 _Products_</p>
+  <ul> 
+  <li>1.2.1 Add product
+  <p>Enter the product name</p>
+  <p>If needed, use additional information. This note is visible in administraion page of MyPiwiShop</p>
+  <p>Enter the price</p>
+  <p>Select or create an option (refer §3.1)<p>
+  <p>Then submit</p>
+  </li>
+  <li>1.2.2 Produst list
+  <p>Tick one or more products to remove them from the list</p>
+  <p>You can edit or duplicater products</p>
+  </li>
+  <li>1.2.3 Manage product order in form
+  <p>Products are displayed by creation date order by default. You chan change this using drag and drop on product item</p>
+  </li>
+  </ul>
+  
+  <p style="font-weight:bold">1.3 _Options_</p>
+  <ul> 
+  <li>1.3.1 Add an option
+  <p>Enter the option name</p>
+  <p>Select the option type: select: combo box (ex: size s/l/xl/xxl); radio: radio button (ex:cadre yes/no); text: text field (ex: border width in cm); textarea: text erea (ex: Let's comment); Checkbox: check button (ex: I read and accept terms of use)</p>
+  <p>If field is required to validate order, tick the box</p>
+  <p>If needed, use additional information. This note is visible in administraion page of MyPiwiShop</p>
+  <p>You have to create some values depending the selected option type (select, radio and checkbox)</p>
+  <p>Then apply changes</p>
+  </li>
+  <li>1.3.2 Table of products
+  <p>Tick one or more options to delete</p>
+  <p>You can edit or duplicate an option</p>
+  </li>
+  <li>1.3.3 Manage options order in form
+  <p> Options are listed by creation date by default. You can change this order using drag'n drop</p>
+  </li>
+
+
+  <h5> 2 Piwigo administration side</h5>
+  <p>Now you have to link one or more products to photos. For this use the page "photos/batch manager".</p>
+  <br>
+  <li>2.1 Global mode</li>
+  <p>Select images you want to link to products.<p>
+  <p>In action menu, choose MyPiwiShop.<p>
+  <p>Select your products (You can also remove products already selected for theese pictures).</p>
+  <p>Then apply action</p>
+  <br>
+  <li>2.2 Single mode</li>
+  <p>For each photo you can use the link "see related products for this picture".<p>
+  <p>Products used for the picture are listed.</p>
+  <p>You can tick/untick products to link/unlink them to the photo.</p>
+  <p>Then validate the change</p>
+</ul> 
+  
+  
+  
+  
+  
Index: /extensions/MyPiwiShop/language/da_DK/plugin.lang.php
===================================================================
--- /extensions/MyPiwiShop/language/da_DK/plugin.lang.php	(revision 27767)
+++ /extensions/MyPiwiShop/language/da_DK/plugin.lang.php	(revision 27767)
@@ -0,0 +1,85 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2014 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['the product'] = 'produktet';
+$lang['you must enter the name of the option'] = 'du skal angive navnet på valgmuligheden';
+$lang['you must enter the product and not the price'] = 'du skal angive produktet og ikke prisen';
+$lang['The order is changed'] = 'Rækkefølgen er ændret';
+$lang['Type'] = 'Type';
+$lang['Type of option'] = 'Valgmulighedstype';
+$lang['Validate the change'] = 'Godkend ændringen';
+$lang['Value'] = 'Værdi';
+$lang['View cart'] = 'Vis kurv';
+$lang['What is MyPiwiShop?'] = 'Hvad er MyPiwiShop?';
+$lang['Your Paypal id'] = 'Din Paypal-id eller din Paypal-kontos mailadresse';
+$lang['a option'] = 'en valgmulighed';
+$lang['a product'] = 'et produkt';
+$lang['add value'] = 'tilføj værdi';
+$lang['drag / drop to change the order'] = 'træk/slip for at ændre rækkefølge';
+$lang['duplicate'] = 'dupliker';
+$lang['option registered'] = 'valgmulighed registreret';
+$lang['products have been added to these images'] = 'produkter er føjet til disse billeder';
+$lang['products have been removed for these pictures'] = 'produkter er fjernet vedr. disse billeder';
+$lang['see related products for this picture'] = 'se relaterede produkter vedr. dette billede';
+$lang['shipping fees'] = 'forsendelsesomkostninger';
+$lang['the option'] = 'valgmuligheden';
+$lang['the order is changed'] = 'rækkefølgen er ændret';
+$lang['Delete the selected products for these images'] = 'Slet de valgte produkter vedr. disse billeder';
+$lang['Edit'] = 'Rediger';
+$lang['Note administrator'] = 'Besked til administrator';
+$lang['Option registered'] = 'Valgmulighed registreret';
+$lang['Option value'] = 'Valgmuligheds værdi';
+$lang['Options'] = 'Valgmuligheder';
+$lang['Presentation text for a single product'] = 'Et enkelt produkts præsentationstekst';
+$lang['Presentation text for several products'] = 'Flere produkters præsentationstekst';
+$lang['Price'] = 'Pris';
+$lang['Product'] = 'Produkt';
+$lang['Product registered'] = 'Produkt registreret';
+$lang['Products'] = 'Produkter';
+$lang['Products have been added to these images'] = 'Der er tilføjet produkter til disse billeder';
+$lang['Products have been removed for these pictures'] = 'Der er fjernet produkter vedr. disse billeder';
+$lang['Registered'] = 'Registreret';
+$lang['Required'] = 'Krævet';
+$lang['Select at least one product'] = 'Vælg mindst ét produkt';
+$lang['Shipping cost'] = 'Forsendelsesomkostninger';
+$lang['Shop'] = 'Butik';
+$lang['Showing 0 to 0 of 0 records'] = 'Viser 0 til 0 af 0 poster';
+$lang['Showing _START_ to _END_ of _TOTAL_ records'] = 'Viser _START_ til _END_ af _TOTAL_ poster';
+$lang['The field is required'] = 'Feltet er krævet';
+$lang[' option'] = ' valgmulighed';
+$lang[' product'] = ' produkt';
+$lang['(filtered from _MAX_ total records)'] = '(filtreret fra i alt _MAX_ poster)';
+$lang['Add '] = 'Tilføj';
+$lang['Add a option'] = 'Tilføj en valgmulighed';
+$lang['Add a product'] = 'Tilføj et produkt';
+$lang['Add the selected products for these images'] = 'Tilføj de valgte produkter for disse billeder';
+$lang['Buy'] = 'Køb';
+$lang['Change the display order of options in the form'] = 'Ændr visningsrækkefølgen af valgmuligheder på formularen';
+$lang['Change the display order of products in the form'] = 'Ændr visningsrækkefølgen af produkter på formularen';
+$lang['Configuration'] = 'Opsætning';
+$lang['Currency'] = 'Valuta';
+$lang['Display _MENU_ records per page'] = 'Vis _MENU_ poster pr. side';
+$lang['Duplicate '] = 'Dupliker';
+$lang['Fields marked with * must be completed'] = 'Felter markeret med * skal udfyldes';
+$lang['No matching option found'] = 'Ingen tilsvarende valgmuligheder fundet';
+$lang['No product selected'] = 'Ingen produkter valgt';
+?>