Index: /extensions/MyPiwiShop/language/it_IT/description.txt
===================================================================
--- /extensions/MyPiwiShop/language/it_IT/description.txt	(revision 27772)
+++ /extensions/MyPiwiShop/language/it_IT/description.txt	(revision 27772)
@@ -0,0 +1,1 @@
+Creare un micro negozio di prodotti derivati dalle vostre immagini
Index: /extensions/MyPiwiShop/language/it_IT/index.php
===================================================================
--- /extensions/MyPiwiShop/language/it_IT/index.php	(revision 27772)
+++ /extensions/MyPiwiShop/language/it_IT/index.php	(revision 27772)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/MyPiwiShop/language/it_IT/intro.html
===================================================================
--- /extensions/MyPiwiShop/language/it_IT/intro.html	(revision 27772)
+++ /extensions/MyPiwiShop/language/it_IT/intro.html	(revision 27772)
@@ -0,0 +1,92 @@
+<style type="text/css">
+.pres li:before {
+    content: "- "; 
+}
+.pres p{
+	margin-top:0
+}
+.pres h5{
+	font-size:1.2em
+}
+
+</style> 
+
+<div class="pres">
+<p>Vuoi vendere i prodotti derivati ​​dalle tue immagini,
+vuoi proporre la vendita di foto in diversi formati, di diversa qualità e mostrare per ciascuna i prezzi e le
+dimensioni di stampa adatta?
+Vendi alcune magliette con foto stampata, tazze o altro?
+
+Questo plugin aggiunge un modulo nelle pagine di immagini e propone per l'immagine selezionata i prodotti creati con esso.
+PayPal è usato per la transazione, DEVI avere un account paypal. Quando l'ordine è completato, hai le foto e i nomi dei prodotti, le opzioni selezionate, nome e indirizzo dell'utente direttamente nel tuo conto paypal.</p>
+<br>
+<h4>Come si usa?</h4>
+ <h5>1. lato amministrazione del plugin nella scheda</h5>
+ <p style="font-weight:bold">1.1 _Configuration_</p>
+ <ul> 
+ <li>Inserisci il tuo codice Paypal o email Paypal.</li>
+ <li>La valuta utilizzata.</li>
+ <li>Le spese di spedizione se ne sono fisse, oppure incluse nel prezzo del prodotto.</li>
+ <li>Se necessario, inserisci una breve descrizione dei tuoi prodotti (es: maglietta 100% Cotone magliette fabbricata in Cina...).</li>
+ <li>Se necessario, inserisci una breve descrizione per presentare una parte dei vostri prodotti (es: Scegli un prodotto dall'elenco).</li>
+ <li>Se necessario, inserisci il tuo testo per presentare un prodotto unico (es: prodotto disponibile).</li>
+</ul>
+
+<p style="font-weight:bold">1.2 _Products_</p>
+ <ul> 
+ <li>1.2.1 Aggiungere prodotto
+ <p>Inserisci il nome del prodotto</p>
+ <p>Se necessario, utilizza informazioni aggiuntive. Questa nota è visibile nella pagina di amministrazione di MyPiwiShop</p>
+ <p>Inserisci il prezzo</p>
+ <p>Seleziona o crea un'opzione (vedi §3.1) <p>
+ <p>Quindi invia</p>
+ </li>
+ <li>1.2.2 Lista prodotti
+ <p>Spunta uno o più prodotti per rimuoverli dalla lista</p>
+ <p>puoi modificare o duplicare i prodotti</p>
+ </li>
+ <li>1.2.3 Gestione ordine del prodotto nel modulo
+ <p>I prodotti vengono visualizzati per ordine di data di creazione per impostazione predefinita. Puoi cambiare questo mediante clicca e trascina sul nome del prodotto</p>
+ </li>
+ </ul>
+
+ <p style="font-weight:bold"> 1.3 _Options_</p>
+ <ul>
+ <li>1.3.1 Aggiungere un'opzione
+ <p>Inserisci il nome dell'opzione</p>
+ <p>Seleziona il tipo di opzione: selezione: casella combinata (esempio: taglia s/l/xl/xxl); radio: pulsante radio (esempio: impostare si/no); testo: campo di testo (esempio: bordo larghezza in cm); textarea: area testo (esempio: commento); Casella di controllo: pulsante di controllo (es: ho letto e accetto termini di utilizzo)</p>
+ <p>Se il campo è necessario per convalidare l'ordine, cliccare la casella</p>
+ <p>Se necessario, utilizza informazioni aggiuntive. Questa nota è visibile nella pagina amministrazione di MyPiwiShop</p>
+ <p>E' necessario creare alcuni valori a seconda del tipo di opzione selezionata (select, radio e checkbox)</p>
+ <p>Quindi applica le modifiche</p>
+ </li>
+ <li>1.3.2 Tabella dei prodotti
+ <p>Barra una o più opzioni per eliminare</p>
+ <p>E' possibile modificare o duplicare un'opzione</p>
+ </li>
+ <li>1.3.3 Gestione opzioni di acquisto nel modulo
+ <p>Le opzioni sono elencate per data di creazione per impostazione predefinita. Puoi modificare questo ordine usando il clicca e trascina</p>
+ </li>
+
+
+ <h5>2 Lato amministrazione di Piwigo</h5>
+ <p>Ora devi linkare le foto di uno o più prodotti. Per questo utilizza la pagina "foto/batch manager".</p>
+ <br>
+ <li>2.1 Modalità globale</li>
+ <p>Seleziona le immagini da collegare ai prodotti.<p>
+ <p>Nel menu azione, scegli MyPiwiShop.<p>
+ <p>Seleziona i tuoi prodotti (è anche possibile rimuovere prodotti già selezionati per queste immagini).</p>
+ <p>Applica quindi l'azione</p>
+ <br>
+ <li>2.2 Modalità singola</li>
+ <p>Per ogni foto è possibile utilizzare il link "vedi prodotti correlati per questa foto".<p>
+ <p>Sono elencati i prodotti utilizzati per la foto.</p>
+ <p>Puoi selezionare/deselezionare prodotti per collegarli/scollegarli alla foto.</p>
+ <p>Quindi convalida il cambiamento</p>
+ </ul>
+
+
+
+
+
+Lexiglot © 2011-2012 Strangeplanet.fr - creato da Damien "M
Index: /extensions/MyPiwiShop/language/it_IT/plugin.lang.php
===================================================================
--- /extensions/MyPiwiShop/language/it_IT/plugin.lang.php	(revision 27772)
+++ /extensions/MyPiwiShop/language/it_IT/plugin.lang.php	(revision 27772)
@@ -0,0 +1,85 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2014 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['Edit'] = 'Modifica';
+$lang['you must enter the product and not the price'] = 'devi inserire il prodotto e non il prezzo';
+$lang['you must enter the name of the option'] = 'devi inserire il nome dell\'opzione';
+$lang['the product'] = 'il prodotto';
+$lang['the order is changed'] = 'l\'ordine è cambiato';
+$lang['shipping fees'] = 'spese di spedizione';
+$lang['the option'] = 'l\'opzione';
+$lang['see related products for this picture'] = 'vedere i prodotti correlati per questa foto';
+$lang['products have been removed for these pictures'] = 'prodotti sono stati rimossi per queste immagini';
+$lang['products have been added to these images'] = 'i prodotti sono stati aggiunti a queste immagini';
+$lang['option registered'] = 'opzione registrazione';
+$lang['duplicate'] = 'duplica';
+$lang['drag / drop to change the order'] = 'clicca e trascina per cambiare l\'ordine';
+$lang['add value'] = 'aggiungi una valuta';
+$lang['a product'] = 'un prodotto';
+$lang['a option'] = 'un\'opzione';
+$lang['View cart'] = 'Visualizza carrello';
+$lang['Value'] = 'Valore';
+$lang['What is MyPiwiShop?'] = 'Cosa è MyPiwiShop?';
+$lang['Your Paypal id'] = 'Il tuo id Paypal o l\'indirizzo email del tuo account Paypal';
+$lang['Type'] = 'Tipo';
+$lang['Type of option'] = 'Tipo di opzione';
+$lang['Validate the change'] = 'Convalida la modifica';
+$lang['The order is changed'] = 'L\'ordine è cambiato';
+$lang['The field is required'] = 'Questo campo è richiesto';
+$lang['Showing _START_ to _END_ of _TOTAL_ records'] = 'Mostra _START_ a _END_ di _TOTAL_ records';
+$lang['Showing 0 to 0 of 0 records'] = 'Mostra 0 a 0 di 0 records';
+$lang['Select at least one product'] = 'Seleziona almeno un prodotto';
+$lang['Products have been removed for these pictures'] = 'I prodotti sono stati rimossi per queste immagini';
+$lang['Presentation text for a single product'] = 'Testo di presentazione per un singolo prodotto';
+$lang['Presentation text for several products'] = 'Testo di presentazione per diversi prodotti';
+$lang['Products have been added to these images'] = 'I prodotti sono stati aggiunti a queste immagini';
+$lang['Price'] = 'Prezzo';
+$lang['Product'] = 'Prodotto';
+$lang['Product registered'] = 'Prodotto registrato';
+$lang['Products'] = 'Prodotti';
+$lang['Registered'] = 'Registrato';
+$lang['Required'] = 'Richiesto';
+$lang['Shipping cost'] = 'Costo di spedizione';
+$lang['Shop'] = 'Shop';
+$lang['Options'] = 'Opzioni';
+$lang['Option value'] = 'Valore opzione';
+$lang['Option registered'] = 'Opzione registrati';
+$lang['Note administrator'] = 'Note amministratore';
+$lang['No product selected'] = 'Nessun prodotto selezionato';
+$lang['No matching option found'] = 'Nessuna opzione corrispondente è stata trovata';
+$lang['Fields marked with * must be completed'] = 'I campi contrassegnati con * devono essere compilati';
+$lang['Duplicate '] = 'Dupplica';
+$lang['Display _MENU_ records per page'] = 'Visualizza _MENU_ record per pagina';
+$lang['Delete the selected products for these images'] = 'Elimina i prodotti selezionati per queste immagini';
+$lang['Currency'] = 'Valuta';
+$lang['Configuration'] = 'Configurazione';
+$lang['Change the display order of products in the form'] = 'Modificare l\'ordine di visualizzazione dei prodotti nel form';
+$lang['Change the display order of options in the form'] = 'Cambia l\'ordine di visualizzazione delle opzioni nel form';
+$lang['Add the selected products for these images'] = 'Aggiungi i prodotti selezionati per queste immagini';
+$lang['(filtered from _MAX_ total records)'] = '(filtrato da record totale _MAX_)';
+$lang['Add '] = 'Aggiungi';
+$lang['Add a option'] = 'Aggiungi opzione';
+$lang['Add a product'] = 'Aggiungi prodotto';
+$lang['Buy'] = 'Compra';
+$lang[' product'] = 'prodotto';
+$lang[' option'] = 'opzione';
+?>