Index: /trunk/language/ca_ES/common.lang.php
===================================================================
--- /trunk/language/ca_ES/common.lang.php	(revision 27772)
+++ /trunk/language/ca_ES/common.lang.php	(revision 27773)
@@ -71,5 +71,5 @@
 $lang['Each listed rule must be satisfied.'] = 'S\'ha de satisfer cada regla llistada.';
 $lang['Email address'] = 'Correu electrònic';
-$lang['Enter your personnal informations'] = 'Introduïu la vostra informació personal';
+$lang['Enter your personnal informations'] = 'Introdueix la teva informació personal';
 $lang['Error sending email'] = 'Error enviant el correu electrònic';
 $lang['File name'] = 'Nom d\'arxiu';
@@ -120,5 +120,5 @@
 $lang['About Piwigo'] = 'Quant al Piwigo';
 $lang['You are not authorized to access the requested page'] = 'No esteu autoritzats a accedir en aquesta pàgina';
-$lang['add this photo to your favorites'] = 'afegir a preferits';
+$lang['add this photo to your favorites'] = 'afegir a fotos favorites';
 $lang['Administration'] = 'Administració';
 $lang['all'] = 'Tot ';
@@ -163,12 +163,12 @@
 $lang['day'][6] = 'Dissabte';
 $lang['Default'] = 'Per defecte';
-$lang['delete this photo from your favorites'] = 'elimina aquesta foto dels vostres preferits';
+$lang['delete this photo from your favorites'] = 'elimina aquesta foto de les fotos favorites';
 $lang['descending'] = 'descendent';
 $lang['edit'] = 'Edita';
 $lang['wrong date'] = 'data errònia';
 $lang['excluded'] = 'exclosa';
-$lang['Your favorites'] = 'Els vostres preferits';
-$lang['display your favorites photos'] = 'visualitza les fotos dels vostres preferits';
-$lang['Favorites'] = 'Preferits';
+$lang['Your favorites'] = 'Fotos favorites';
+$lang['display your favorites photos'] = 'visualitza les fotos favorites';
+$lang['Favorites'] = 'Favorites';
 $lang['First'] = 'Primera';
 $lang['The gallery is locked for maintenance. Please, come back later.'] = 'La galeria roman temporalment tancada per tasques de manteniment. Disculpi les molèsties. La galeria tornarà a estar operativa en uns minuts.';
@@ -312,5 +312,5 @@
 $lang['cloud'] = 'núvol';
 $lang['Reset to default values'] = 'Restaura els valors predeterminats';
-$lang['delete all photos from your favorites'] = 'elimina totes les fotos dels vostres preferits';
+$lang['delete all photos from your favorites'] = 'elimina tots els elements de les fotos favorites';
 $lang['Sent by'] = 'Enviat per';
 $lang['Cookies are blocked or not supported by your browser. You must enable cookies to connect.'] = 'Les galetes (cookies) estan bloquejades o el navegador no en permet l\'ús. Heu d\'habilitar-les per poder-vos connectar.';
@@ -337,5 +337,5 @@
 $lang['Someone requested that the password be reset for the following user account:'] = 'Algú ha demanat que contrasenya d\'accés sigui restablerta pels següents comptes d\'usuari';
 $lang['Username "%s" on gallery %s'] = 'El nom d\'usuari "%s" sobre la galeria %s';
-$lang['To reset your password, visit the following address:'] = 'Per restablir la seva contrasenya visiti l\'adreça següent:';
+$lang['To reset your password, visit the following address:'] = 'Per restablir la contrasenya visiteu l\'adreça següent:';
 $lang['If this was a mistake, just ignore this email and nothing will happen.'] = 'Si es tracta d\'un error, ignoreu aquest correu electrònic com si res hagués passat.';
 $lang['Password Reset'] = 'Estableixi una nova contrasenya';
@@ -358,6 +358,6 @@
 $lang['File name, Z &rarr; A'] = 'Nom d\'arxiu, Z &rarr; A';
 $lang['Hello %s,'] = 'Hola %s,';
-$lang['Here are your connection settings'] = 'Aquests son els seus paràmetres de connexió';
-$lang['If you think you\'ve received this email in error, please contact us at %s'] = 'Si us plau, contacti amb nosaltres a %s si creu que ha rebut per error aquest correu electrònic.';
+$lang['Here are your connection settings'] = 'Aquestes son les teves dades de connexió';
+$lang['If you think you\'ve received this email in error, please contact us at %s'] = 'Si us plau, contacta amb nosaltres a %s si creus que has rebut aquest correu electrònic per error.';
 $lang['Manual sort order'] = 'Ordre manual';
 $lang['Mobile'] = 'Mòbil';