Index: /extensions/Slide/js/plugin/SlideEasyCaptcha.js
===================================================================
--- /extensions/Slide/js/plugin/SlideEasyCaptcha.js	(revision 27779)
+++ /extensions/Slide/js/plugin/SlideEasyCaptcha.js	(revision 27780)
@@ -7,18 +7,4 @@
  */
  
-
-/*function _ECaptcha(){
-var $layerShow 	= $('body').data('layerShow'),
-	$ele			= $('#the_page', $layerShow),
-		$EC_opt 		= $ele.data('slideec'),
-		$bd1			= $EC_opt.activate_on.challenge;
-
-		console.log($bd1);
-
-			
-}*/
-
-
-
 function _ECaptcha(){
 	var $layerShow 	= $('body').data('layerShow');
Index: /extensions/Slide/js/plugin/SlideGThumb.js
===================================================================
--- /extensions/Slide/js/plugin/SlideGThumb.js	(revision 27779)
+++ /extensions/Slide/js/plugin/SlideGThumb.js	(revision 27780)
@@ -7,5 +7,5 @@
  */
  
-function _MyPiwiShop(){
+function _GThumb(){
 	var $layerShow 	= $('body').data('layerShow');
 	if($('#the_page', $layerShow).hasClass('GThumb')) {
Index: /extensions/Slide/js/plugin/SlideMyPiwiShop.js
===================================================================
--- /extensions/Slide/js/plugin/SlideMyPiwiShop.js	(revision 27779)
+++ /extensions/Slide/js/plugin/SlideMyPiwiShop.js	(revision 27780)
@@ -2,5 +2,5 @@
  * SlideMyPiwiShop - v1.0 - 01-01-2014
  * plugin for Slide and GThumb+
- * Original by P@t for GThumb+ : http://fr.piwigo.org/ext/extension_view.php?eid=591
+ * Original by Mikfe for MyPiwiShop : http://fr.piwigo.org/ext/extension_view.php?eid=733
  * Modified by Miklfe : http://piwitheme.fr/
  *
Index: /extensions/Slide/js/plugin/SlideSmiliesSupport.js
===================================================================
--- /extensions/Slide/js/plugin/SlideSmiliesSupport.js	(revision 27780)
+++ /extensions/Slide/js/plugin/SlideSmiliesSupport.js	(revision 27780)
@@ -0,0 +1,62 @@
+/*
+ * SlideMyPiwiShop - v1.0 - 01-01-2014
+ * plugin for Slide and Smilies Support
+ * Original by mistic100, P@t, Atadilo for Smilies Support : http://fr.piwigo.org/ext/extension_view.php?eid=159
+ * Modified by Miklfe : http://piwitheme.fr/
+ *
+ */
+
+
+
+function _SmiliesSupport(){
+	var $layerShow 	= $('body').data('layerShow');
+	
+	if($('#the_page', $layerShow).hasClass('thePicturePage') && $layerShow.attr('id')!='layer-0') {
+		$.getScript('./plugins/SmiliesSupport/template/markitup/jquery.markitup.js', function(){
+			$('body').removeClass('MyPiwiShop').addClass('MyPiwiShopReady');
+
+			var $ele 		= $('#content', $layerShow),
+			
+				$SmS_repr 	= $ele.data('smiliessupportr'),				
+				$SmS_Tid 	= $ele.data('smiliessupporttid'),
+				$T_id		= $ele.find('div [id=' + $SmS_Tid + ']');
+				
+			$('#allsmilies').addClass('noSlide').removeClass('slide');
+			
+			if ($('.markItUp').length == 0) {
+				$T_id.markItUp({
+					markupSet: []
+				});
+				$('.markItUpHeader>ul').css('width', '22');
+			} else {
+				$('.markItUpHeader>ul').css('width', '+=22');
+			}
+
+			$('#SmiliesSupport').appendTo('.markItUpHeader ul:first-child');
+
+			$('#allsmilies').hover(function(){ 
+				$T_id.focus();
+				$('#smiliesdiv').css('display', ''); 
+			});
+
+			$('#smiliesdiv img').click(function() {
+				var $emoticon = jQuery(this).attr('title');
+				$.markItUp({
+					replaceWith: $emoticon
+				});
+			
+				$('#smiliesdiv').css('display', 'none');
+				
+				
+				return false;
+			});
+			
+			var $SmS_css = '#SmiliesSupport table img:hover {border:1px solid #08e;margin:-1px;border-radius:2px;cursor:pointer} #allsmilies{background-size:contain;background-image:url("' + $SmS_repr + '")';
+
+			$("<style />", {
+				type: "text/css",
+			}).append($SmS_css).appendTo('head');
+		});
+	}
+};
+
Index: /extensions/Slide/js/slide.js
===================================================================
--- /extensions/Slide/js/slide.js	(revision 27779)
+++ /extensions/Slide/js/slide.js	(revision 27780)
@@ -315,4 +315,7 @@
 			if($('body').hasClass('MyPiwiShop')||$('body').hasClass('MyPiwiShopReady')) {
 				_MyPiwiShop()
+			};
+			if($('body').hasClass('SmiliesSupport')||$('body').hasClass('SmiliesSupportReady')) {
+				_SmiliesSupport()
 			};
 
Index: /extensions/Slide/local_head.tpl
===================================================================
--- /extensions/Slide/local_head.tpl	(revision 27779)
+++ /extensions/Slide/local_head.tpl	(revision 27780)
@@ -3,8 +3,15 @@
 {combine_script id='menu' load='footer' require='jquery' path='themes/Slide/js/menu.js'}
 
-{if not empty($pluginActive)}{foreach from=$pluginActive item=foo}{if $foo == 'GThumb'}{combine_script id='slideGT' load='footer' require='jquery' path='themes/Slide/js/plugin/SlideGThumb.js'}{/if}{/foreach}{/if}
-{if not empty($pluginActive)}{foreach from=$pluginActive item=foo}{if $foo == 'lightbox'}{combine_script id='slideLB' load='footer' require='jquery' path='themes/Slide/js/plugin/SlideLightbox.js'}{/if}{/foreach}{/if}
-{if not empty($pluginActive)}{foreach from=$pluginActive item=foo}{if $foo == 'EasyCaptcha'}{combine_script id='slideEC' load='footer' require='jquery' path='themes/Slide/js/plugin/SlideEasyCaptcha.js'}{/if}{/foreach}{/if}
-{if not empty($pluginActive)}{foreach from=$pluginActive item=foo}{if $foo == 'MyPiwiShop'}{combine_script id='slidemps' load='footer' require='jquery' path='themes/Slide/js/plugin/SlideMyPiwiShop.js'}{/if}{/foreach}{/if}
+{if not empty($pluginActive)}
+{foreach from=$pluginActive item=foo}{if $foo == 'GThumb'}{combine_script id='slideGT' load='footer' require='jquery' path='themes/Slide/js/plugin/SlideGThumb.js'}{/if}{/foreach}
+{foreach from=$pluginActive item=foo}{if $foo == 'lightbox'}{combine_script id='slideLB' load='footer' require='jquery' path='themes/Slide/js/plugin/SlideLightbox.js'}{/if}{/foreach}
+{foreach from=$pluginActive item=foo}{if $foo == 'EasyCaptcha'}{combine_script id='slideEC' load='footer' require='jquery' path='themes/Slide/js/plugin/SlideEasyCaptcha.js'}{/if}{/foreach}
+{foreach from=$pluginActive item=foo}{if $foo == 'MyPiwiShop'}{combine_script id='slidemps' load='footer' require='jquery' path='themes/Slide/js/plugin/SlideMyPiwiShop.js'}{/if}{/foreach}
+{foreach from=$pluginActive item=foo}
+{if $foo == 'SmiliesSupport'}
+{combine_script id='slideSmS' load='footer' require='jquery' path='themes/Slide/js/plugin/SlideSmiliesSupport.js'}
+{combine_css id='markitup' order=10 path='plugins/SmiliesSupport/template/markitup/style.markitup.css'}
+{/if}{/foreach}
+{/if}
 
 {combine_script id='slide' load='footer' require='jquery' path='themes/Slide/js/slide.js'}
Index: /extensions/Slide/template/header.tpl
===================================================================
--- /extensions/Slide/template/header.tpl	(revision 27779)
+++ /extensions/Slide/template/header.tpl	(revision 27780)
@@ -59,5 +59,5 @@
 <body id="{$BODY_ID}" {if not empty($pluginActive)}class="{foreach from=$pluginActive item=foo}{$foo} {/foreach}"{/if}>
 
-<div id="the_page" class="scrollpane {$BODY_ID} {if isset ($GThumb)}GThumb {/if}{if isset ($EASYCAPTCHA)}{if $EASYCAPTCHA.challenge == 'drag'}EC_drag {/if}{if $EASYCAPTCHA.challenge == 'tictac'}EC_tictac {/if}{/if}" {if isset ($lightbox_data)}data-lightbox={$lightbox_data}{/if}  {if isset ($GThumb)}data-slidegthumb={$slideGThumb} {if isset ($GThumb_big)}{assign var=gt_size value=$GThumb_big->get_size()}data-gth={$gt_size[1]} data-gtw={$gt_size[0]} data-gturl={$GThumb_big->get_url()} data-gtid={$GThumb_big->src_image->id}{/if}{/if}{if isset ($slideEasyCaptcha)}data-slideec={$slideEasyCaptcha}{/if} >
+<div id="the_page" class="scrollpane {$BODY_ID} {if isset ($GThumb)}GThumb {/if}{if isset ($EASYCAPTCHA)}{if $EASYCAPTCHA.challenge == 'drag'}EC_drag {/if}{if $EASYCAPTCHA.challenge == 'tictac'}EC_tictac {/if}{/if}" {if isset ($lightbox_data)}data-lightbox={$lightbox_data}{/if}  {if isset ($GThumb)}data-slidegthumb={$slideGThumb} {if isset ($GThumb_big)}{assign var=gt_size value=$GThumb_big->get_size()}data-gth={$gt_size[1]} data-gtw={$gt_size[0]} data-gturl={$GThumb_big->get_url()} data-gtid={$GThumb_big->src_image->id}{/if}{/if}{if isset ($slideEasyCaptcha)}data-slideec={$slideEasyCaptcha}{/if}>
 {if not empty($header_msgs)}
 <div class="header_msgs">
@@ -79,2 +79,18 @@
 
 
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
Index: /extensions/Slide/template/picture.tpl
===================================================================
--- /extensions/Slide/template/picture.tpl	(revision 27779)
+++ /extensions/Slide/template/picture.tpl	(revision 27780)
@@ -2,5 +2,5 @@
 {if isset($MENUBAR)}{$MENUBAR}{/if}
 
-<div id="content"{if isset($MENUBAR)} class="contentWithMenu"{/if}>
+<div id="content"{if isset($MENUBAR)} class="contentWithMenu"{/if}   {if isset ($SMILIES)}data-smiliessupportr={$SMILIES.representant} data-smiliessupporttid={$SMILIES.textarea_id}{/if} >
 {if isset($errors) or not empty($infos)}
 {include file='infos_errors.tpl'}