Index: extensions/MyPiwiShop/language/sk_SK/index.php
===================================================================
--- extensions/MyPiwiShop/language/sk_SK/index.php	(revision 27785)
+++ extensions/MyPiwiShop/language/sk_SK/index.php	(revision 27785)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/MyPiwiShop/language/sk_SK/plugin.lang.php
===================================================================
--- extensions/MyPiwiShop/language/sk_SK/plugin.lang.php	(revision 27785)
+++ extensions/MyPiwiShop/language/sk_SK/plugin.lang.php	(revision 27785)
@@ -0,0 +1,73 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2014 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['Edit'] = 'Editovať';
+$lang['Option registered'] = 'Možnosť zaregistrovaná';
+$lang['Option value'] = 'Hodnota možnosti';
+$lang['Presentation text for a single product'] = 'Prezentačný text pre jeden produkt';
+$lang['Presentation text for several products'] = 'Prezentačný text pre viac produktov';
+$lang['Products have been removed for these pictures'] = 'Produkty boli odstránené z týchto obrázkov';
+$lang['a option'] = 'možnosť';
+$lang['a product'] = 'produkt';
+$lang['add value'] = 'pridať hodnotu';
+$lang['products have been added to these images'] = 'produkty boli pridané týmto obrázkom';
+$lang['products have been removed for these pictures'] = 'produkty boli odstránené z týchto obrázkov';
+$lang['the option'] = 'možnosť';
+$lang['the product'] = 'produkt';
+$lang['shipping fees'] = 'poštovné poplatky';
+$lang['the order is changed'] = 'objednávka je zmenená';
+$lang['you must enter the name of the option'] = 'musiš zadať názov možnosti';
+$lang['you must enter the product and not the price'] = 'musíš zadať produkt a nie cenu';
+$lang['Note administrator'] = 'Upozorniť administrátora';
+$lang['The field is required'] = 'Pole je požadované';
+$lang['Type'] = 'Typ';
+$lang['Type of option'] = 'Druh možnosti';
+$lang['Validate the change'] = 'Potvrdiť zmenu';
+$lang['Value'] = 'Hodnota';
+$lang['View cart'] = 'Zobraziť košík';
+$lang['What is MyPiwiShop?'] = 'Čo je MyPiwiShop?';
+$lang['Options'] = 'Možnosti';
+$lang['Required'] = 'Požadované';
+$lang['Shipping cost'] = 'Poštovné';
+$lang['Shop'] = 'Obchod';
+$lang['The order is changed'] = 'Poradie je zmenené';
+$lang['Price'] = 'Cena';
+$lang['Product'] = 'Produkt';
+$lang['Product registered'] = 'Zaregistrovaný produkt';
+$lang['Products'] = 'Produkty';
+$lang['Products have been added to these images'] = 'Produkty boli pridané k týmto obrázkom';
+$lang['Registered'] = 'Registrovaný/á';
+$lang['Select at least one product'] = 'Vyber aspoň jeden produkt';
+$lang[' option'] = 'možnosť';
+$lang[' product'] = 'produkt';
+$lang['Add '] = 'Pridať';
+$lang['Add a option'] = 'Pridať možnosť';
+$lang['Add a product'] = 'Pridať produkt';
+$lang['Add the selected products for these images'] = 'Pridať vybrané produkty pre tieto obrázky';
+$lang['Buy'] = 'Kúpiť';
+$lang['Configuration'] = 'Konfigurácia';
+$lang['Currency'] = 'Mena';
+$lang['Delete the selected products for these images'] = 'Vymazať vybrané produkty pre tieto obrázky';
+$lang['Display _MENU_ records per page'] = 'Zobraziť _MENU_ záznamy na stranu';
+$lang['Fields marked with * must be completed'] = 'Polia označené * musia byť vyplnené';
+$lang['No product selected'] = 'Nebol vybraný produkt';
+?>