Index: /extensions/BatchDownloader/language/mn_MN/advanced.html
===================================================================
--- /extensions/BatchDownloader/language/mn_MN/advanced.html	(revision 27786)
+++ /extensions/BatchDownloader/language/mn_MN/advanced.html	(revision 27786)
@@ -0,0 +1,18 @@
+<dt><span>$conf['batch_download_max_elements']</span></dt>
+<dd>Maximum value of the <b>Maximum number of photos per download set</b> slider.<br>
+<i>Default is <span>1000</span>.</i></dd>
+
+<dt><span>$conf['batch_download_max_size']</span></dt>
+<dd>Maximum value of the <b>Maximum size of each archive</b> slider.<br>
+<i>Default is <span>500</span>.</i></dd>
+
+<dt><span>$conf['batch_download_additional_ext']</span></dt>
+<dd>Array containing downloadable file extensions (case sensitive).<br>
+<i>Default is <span>$conf['picture_ext']</span>.</i></dd>
+
+<dt><span>$conf['batch_download_file_pattern']</span></dt>
+<dd>Pattern for filenames in the archive.<br>
+Available fields are <span>%id%, %filename%, %author%, %dimensions%</span>.<br>
+Available functions are <span>$escape(xxx), $upper(xxx), $lower(xxx), $strpad(xxx, z, c)</span>.<br>
+<i>Default value is <span>%id%_%filename%_%dimensions%</span>.</i><br>
+<i>Example: <span>$strpad(%id%,4,0)_$escape(%filename%)_$lower(%author%)_%dimensions%</span>.</i></dd>
Index: /extensions/BatchDownloader/language/mn_MN/description.txt
===================================================================
--- /extensions/BatchDownloader/language/mn_MN/description.txt	(revision 27786)
+++ /extensions/BatchDownloader/language/mn_MN/description.txt	(revision 27786)
@@ -0,0 +1,1 @@
+Зургийн цуглуулгыг ZIP хэлбэрээр татах боломжийг олгоно. User Collections өргөтгөлтэй зохицож ажиллана.
Index: /extensions/BatchDownloader/language/mn_MN/plugin.lang.php
===================================================================
--- /extensions/BatchDownloader/language/mn_MN/plugin.lang.php	(revision 27785)
+++ /extensions/BatchDownloader/language/mn_MN/plugin.lang.php	(revision 27786)
@@ -40,3 +40,25 @@
 $lang['<b>Warning:</b> all files will be deleted within %d hours'] = '<b>Сануулга:</b> Үүсгэсэн бүх файл %d цагын дараа устах болно.';
 $lang['Any size'] = 'Дурын хэмжээтэй';
+$lang['Edit the set'] = 'Засах';
+$lang['Only check if you are experiencing corrupted archives with ZipArchive.'] = 'ZipArchive-г ашиглах үед алдаа гарч байгаа бол энэ сонголтыг хийнэ үү.';
+$lang['Download info'] = 'Товч мэдээлэл';
+$lang['Remove from download set'] = 'Жагсаалтаас хасах';
+$lang['Random'] = 'Дурын';
+$lang['Remove all finished downloads'] = 'Татаж дууссан архивыг устгах';
+$lang['Archive comment'] = 'Архив файлын зүүлт тайлбар';
+$lang['Archive #%d (already downloaded)'] = 'Архив файл #%d (татаад авчихсан)';
+$lang['Archive #%d (pending)'] = 'Архив файл #%d (хүлээгдэж байгаа)';
+$lang['Archive #%d (ready)'] = 'Архив файл #%d (бэлэн болсон)';
+$lang['Please wait, your download is being prepared. This page will automatically refresh when it is ready.'] = 'Түр хүлээнэ үү. Таны сонгосон зургуудыг татахад бэлдэж архив файл болгож байна. Бэлэн болмогц энэ хуудас шинэчлэгдэх болно.';
+$lang['Preparation'] = 'Бэлдэж байна';
+$lang['Return to download page'] = 'Буцах';
+$lang['real number of archives can differ'] = 'бодит тоо өөр байж болно';
+$lang['Batch Downloader'] = 'Бөөнд нь татах';
+$lang['Cancel this set'] = 'Цуцлах';
+$lang['Confirm the download of %d pictures?'] = 'Эдгээр %d зургийг татаж авах уу?';
+$lang['Delete this set'] = 'Устгах';
+$lang['Download all pictures of this selection'] = 'Энд сонгосон бүх зургийг татах';
+$lang['Download links'] = 'Татах холбоос';
+$lang['Estimated number of archives'] = 'Архив файлын тоо';
+$lang['Estimated size'] = 'Хэмжээ';
 ?>