Index: /trunk/language/ca_ES/admin.lang.php
===================================================================
--- /trunk/language/ca_ES/admin.lang.php	(revision 27807)
+++ /trunk/language/ca_ES/admin.lang.php	(revision 27808)
@@ -71,5 +71,5 @@
 $lang['Edit tags'] = 'Edita etiquetes';
 $lang['Email admins when a new user registers'] = 'Envia un correu electrònic als administradors quan s\'inscrigui un nou usuari';
-$lang['Email admins when a valid comment is entered'] = 'Envia un correu electrònic als administradors quan s\'afegeixi un comentari vàlid';
+$lang['Email admins when a valid comment is entered'] = 'Envia un missatge de correu electrònic als usuaris administradors quan s\'afegeixi un comentari vàlid';
 $lang['Email admins when a comment requires validation'] = 'Envia un correu electrònic als administradors quan un comentari requereixi validació';
 $lang['Environment'] = 'Entorn';
@@ -206,8 +206,8 @@
 $lang['Execution time is out, treatment must be continue [Estimated time: %d seconds].'] = 'El temps d\'execució s\'ha excedit. El processament ha de continuar [Temps estimat: %d segons].';
 $lang['Prepared time for list of users to send mail is limited. Others users are not listed.'] = 'El temps requerit per a processar la llista d\'usuaris a enviar-los correus és limitat. No s\'han pogut processar tots els usuaris.';
-$lang['Time to send mail is limited. Others mails are skipped.'] = 'El temps d\'enviament del correu és limitat. No tots els missatges han pogut ser enviats. S\'han omès missatges de correu electrònic.';
+$lang['Time to send mail is limited. Others mails are skipped.'] = 'El temps d\'enviament del correu és limitat. No tots els missatges han pogut ser enviats. S\'han omès alguns missatges de correu electrònic.';
 $lang['To send ?'] = 'Enviar-ho?';
 $lang['User'] = 'Usuari';
-$lang['Complementary mail content'] = 'Contingut complementari del correu electrònic';
+$lang['Complementary mail content'] = 'Contingut de la part complementària del missatge de correu electrònic';
 $lang['See you soon,'] = 'Fins aviat,';
 $lang['Go to'] = 'Ves a';
@@ -217,6 +217,6 @@
 $lang['between'] = 'entre';
 $lang['and'] = 'i';
-$lang['The webmaster has subscribed you to receiving notifications by mail.'] = 'L\'administrador del web t\'ha subscrit per rebre notificacions per correu electrònic.';
-$lang['You have subscribed to receiving notifications by mail.'] = 'Us heu subscrit per a rebre notificacions per correu electrònic.';
+$lang['The webmaster has subscribed you to receiving notifications by mail.'] = 'L\'administrador del web t\'ha subscrit per rebre notificacions mitjançant el correu electrònic.';
+$lang['You have subscribed to receiving notifications by mail.'] = 'Esteu subscrits per a rebre notificacions mitjançant el correu electrònic.';
 $lang['To subscribe'] = 'Subscriure\'s';
 $lang['If you encounter problems or have any question, please send a message to'] = 'Si trobeu problemes o teniu qüalsevol qüestió, si us plau envieu un missatge a';
@@ -230,15 +230,15 @@
 $lang['Error when sending email to %s [%s].'] = 'Error en enviar un correu electrònic a %s [%s].';
 $lang['Mail sent to %s [%s].'] = 'Correu electrònic enviat a %s [%s].';
-$lang['%d mail was sent.'] = 'S\'ha pogut enviar %d correu electrònic.';
-$lang['%d mails were sent.'] = 's\'han enviat %d correus electrònics.';
-$lang['%d mail was not sent.'] = 'No s\'ha pogut enviar %d correu electrònic.';
-$lang['%d mails were not sent.'] = 'No s\'han pogut enviar %d correus electrònics.';
-$lang['No mail to send.'] = 'No hi ha correus electrònics per enviar.';
-$lang['There is no available subscribers to mail.'] = 'No hi ha usuaris subscrits per enviar notificacions per correu electrònic.';
+$lang['%d mail was sent.'] = 'S\'ha pogut enviar %d missatge de correu electrònic.';
+$lang['%d mails were sent.'] = 's\'han enviat %d missatges de correu electrònic.';
+$lang['%d mail was not sent.'] = 'No s\'ha pogut enviar %d missatge de correu electrònic.';
+$lang['%d mails were not sent.'] = 'No s\'han pogut enviar %d missatges de correu electrònic.';
+$lang['No mail to send.'] = 'No hi ha missatges de correu electrònic per enviar.';
+$lang['There is no available subscribers to mail.'] = 'No hi ha usuaris subscrits per enviar notificacions mitjançant el correu electrònic.';
 $lang['Subscribers could be listed (available) only if there is new elements to notify.'] = 'Els usuaris inscrits només es llistaran (si la opció està habilitada) sempre que hi hagi nous elements a notificar.';
 $lang['Anyway only webmasters can see this tab and never administrators.'] = 'De totes formes només els webmasters poden veure aquesta pestanya, no els administradors.';
 $lang['No user to send notifications by mail.'] = 'No hi ha usuaris a qui enviar notificacions per correu electrònic';
 $lang['New photos added'] = 'Fotos noves afegides';
-$lang['Subscribe to notification by mail'] = 'Subscriviu-vos per notificacions per correu electrònic';
+$lang['Subscribe to notification by mail'] = 'Subscriviu-vos si voleu rebre notificacions mitjançant el correu electrònic';
 $lang['Unsubscribe from notification by mail'] = 'Donar-se de baixa de les notificacions per correu';
 $lang['Parameter'] = 'Configuració';
@@ -246,5 +246,5 @@
 $lang['Complementary mail content'] = 'Contingut de correu complementari';
 $lang['Add detailed content'] = 'Afegeix algun contingut detallat';
-$lang['Send mail as'] = 'Envia un correu electrònic com';
+$lang['Send mail as'] = 'Envia els missatges de correu electrònic com a (nom de la persona que ho envia)';
 $lang['Send mail to users'] = 'Envia un correu electrònic als usuaris';
 $lang['Send'] = 'Envia';
@@ -257,5 +257,5 @@
 $lang['Unsubscribed'] = 'Dóna de baixa';
 $lang['%d parameter was updated.'] = 'S\'ha actualitzat %d paràmetre.';
-$lang['%d parameters were updated.'] = 'S\'ha actualitzat %d paràmetres.';
+$lang['%d parameters were updated.'] = 'S\'han actualitzat %d paràmetres.';
 $lang['%d user was not updated.'] = '%d usuari no actualitzat.';
 $lang['%d users were not updated.'] = '%d usuaris no actualitzats.';
@@ -268,5 +268,5 @@
 $lang['User %s [%s] added.'] = 'S\'ha afegit l\'usuari %s [%s].';
 $lang['Warning: subscribing or unsubscribing will send mails to users'] = 'Avís: Tant en subscripcions com en baixes s\'enviarà un coreu electrònic als usuaris.';
-$lang['Send mail on HTML format'] = 'Envia un correu electrònic en format HTML';
+$lang['Send mail on HTML format'] = 'Envia els correu electrònics en format HTML';
 $lang['Include display of recent photos grouped by dates'] = 'Inclou una visualització de les fotos recents agrupades per dates';
 $lang['Available only with HTML format'] = 'Només disponible en format HTML';
@@ -341,5 +341,5 @@
 $lang['photos informations synchronized with files metadata'] = 'informació de les fotos sincronitzades amb els arxius de metadades';
 $lang['errors during synchronization'] = 'errors durant la sincronització';
-$lang['albums added in the database'] = 'Àlbums afegits a la base de dades';
+$lang['albums added in the database'] = 'àlbums afegits a la base de dades';
 $lang['photos added in the database'] = 'fotos afegides a la base de dades';
 $lang['photos updated in the database'] = 'fotos actualitzades a la base de dades';
@@ -383,6 +383,6 @@
 $lang['Section'] = 'Secció';
 $lang['Properties'] = 'Propietats';
-$lang['An information email was sent to group "%s"'] = 'S\'ha enviat un correu electrònic informatiu al grup "%s" ';
-$lang['Send an information email to group members'] = 'Envia una notificació per correu electrònic als membres del grup';
+$lang['An information email was sent to group "%s"'] = 'S\'ha enviat un missatge de correu electrònic informatiu al grup "%s" ';
+$lang['Send an information email to group members'] = 'Envia una notificació mitjançant el correu electrònic als membres del grup';
 $lang['Group'] = 'Grup';
 $lang['[%s] Visit album %s'] = '[%s] Visiteu l\'àlbum %s';
@@ -470,5 +470,5 @@
 $lang['Can\'t read or extract archive.'] = 'No s\'ha pogut llegir o extreure l\'arxiu.';
 $lang['An error occured during extraction (%s).'] = 'S\'ha produït un error durant l\'extracció dels fitxers (%s).';
-$lang['Please check "plugins" folder and sub-folders permissions (CHMOD).'] = 'Si us plau, reviseu els permisos de la carpeta dels connectors "plugins", així com a les seves subcarpetes (CHMOD).';
+$lang['Please check "plugins" folder and sub-folders permissions (CHMOD).'] = 'Si us plau, reviseu els permisos de la carpeta dels connectors "plugins", així com les seves subcarpetes (CHMOD).';
 $lang['Can\'t connect to server.'] = 'No s\'ha pogut establir la connexió al servidor ';
 $lang['Purge compiled templates'] = 'Elimina les plantilles compilades';
@@ -517,5 +517,5 @@
 $lang['Number of downloads'] = 'Nombre de descàrregues';
 $lang['Piwigo Announcements Newsletter'] = 'Butlletí informatiu de Piwigo';
-$lang['Keep in touch with Piwigo project, subscribe to Piwigo Announcement Newsletter. You will receive emails when a new release is available (sometimes including a security bug fix, it\'s important to know and upgrade) and when major events happen to the project. Only a few emails a year.'] = 'Mantingue\'t informat quant al projecte Piwigo. Subscriu-te al butlletí de notícies. Rebràs un correu electrònic quan una nova versió estigui disponible (de vegades un bug de seguretat és corregit..., és important estar alerta) o que hi hagi un aconteixement important sobre el projecte. Únicament seran alguns missatges durant l\'any.';
+$lang['Keep in touch with Piwigo project, subscribe to Piwigo Announcement Newsletter. You will receive emails when a new release is available (sometimes including a security bug fix, it\'s important to know and upgrade) and when major events happen to the project. Only a few emails a year.'] = 'Mantingueu-vos informats quant al projecte Piwigo. Subscriviu-vos al butlletí de notícies. Rebreu un correu electrònic quan hi hagi una nova versió (de vegades quan un error de seguretat és corregeix..., és important estar alerta) o quan hi hagi un esdeveniment important sobre el projecte. Únicament seran alguns missatges durant l\'any.';
 $lang['Subscribe %s'] = 'Subscriviu-vos %s';
 $lang['Subscribe %s to Piwigo Announcements Newsletter'] = 'Subscriviu-vos %s al butlletí de notícies <i>Piwigo Newsletter</i>';
@@ -529,6 +529,6 @@
 $lang['Allow users to edit their own comments'] = 'Permet que els usuaris puguin editar els seus propis comentaris';
 $lang['Allow users to delete their own comments'] = 'Permet que els usuaris puguin eliminar els seus propis comentaris';
-$lang['Email administrators when a comment is modified'] = 'Envia un correu electrònic als administradors quan es modifiqui un comentari';
-$lang['Email administrators when a comment is deleted'] = 'Envia un correu electrònic als administradors quan s\'elimini un comentari';
+$lang['Email administrators when a comment is modified'] = 'Envia un correu electrònic als usuaris administradors quan es modifiqui algun comentari';
+$lang['Email administrators when a comment is deleted'] = 'Envia un correu electrònic als usuaris administradors quan s\'elimini algun comentari';
 $lang['Cannot delete the old permalink !'] = 'No s\'ha pogut eliminar l\'antic enllaç permanent!';
 $lang['Hit'] = 'Accés';