Index: /trunk/language/ca_ES/common.lang.php
===================================================================
--- /trunk/language/ca_ES/common.lang.php	(revision 27808)
+++ /trunk/language/ca_ES/common.lang.php	(revision 27809)
@@ -70,7 +70,7 @@
 $lang['Display'] = 'Visualitza';
 $lang['Each listed rule must be satisfied.'] = 'S\'ha de satisfer cada regla llistada.';
-$lang['Email address'] = 'Correu electrònic';
+$lang['Email address'] = 'Adreça de correu electrònic';
 $lang['Enter your personnal informations'] = 'Introdueix la teva informació personal';
-$lang['Error sending email'] = 'Error enviant el correu electrònic';
+$lang['Error sending email'] = 'S\'ha produït un error en enviar el correu electrònic';
 $lang['File name'] = 'Nom d\'arxiu';
 $lang['File'] = 'Arxiu';
@@ -317,5 +317,5 @@
 $lang['Edit a comment'] = "Edita un comentari";
 $lang['Are you sure?'] = 'Confirmeu que desitgeu realitzar aquesta acció';
-$lang['Email address is missing. Please specify an email address.'] = 'Falta l\'adreça de correu electrònic. Si us plau, introduiu-la.';
+$lang['Email address is missing. Please specify an email address.'] = 'Falta l\'adreça de correu electrònic. Si us plau, introduïu-la.';
 $lang['Delete'] = 'Elimina';
 $lang['(!) This comment requires validation'] = '(!) Aquest comentari necessita ser validat';
@@ -332,7 +332,7 @@
 $lang['%d rates'] = '%d valoracions';
 $lang['Rating score'] = 'Puntuació';
-$lang['Invalid username or email'] = 'Nom d\'usuari o correu electrònic no vàlid';
+$lang['Invalid username or email'] = 'nom d\'usuari o adreça de correu electrònica no vàlida';
 $lang['Password reset is not allowed for this user'] = 'No està permès restablir la contrasenya per aquest usuari';
-$lang['User "%s" has no email address, password reset is not possible'] = 'L\'usuari "%s" no ha registrat cap adreça de correu electrònic. No es pot restablir seva la contrasenya.';
+$lang['User "%s" has no email address, password reset is not possible'] = 'L\'usuari "%s" no té registrada cap adreça de correu electrònic. El canvi de contrasenya no es possible';
 $lang['Someone requested that the password be reset for the following user account:'] = 'Algú ha demanat que contrasenya d\'accés sigui restablerta pels següents comptes d\'usuari';
 $lang['Username "%s" on gallery %s'] = 'El nom d\'usuari "%s" sobre la galeria %s';
@@ -340,12 +340,12 @@
 $lang['If this was a mistake, just ignore this email and nothing will happen.'] = 'Si es tracta d\'un error, ignoreu aquest correu electrònic com si res hagués passat.';
 $lang['Password Reset'] = 'Estableixi una nova contrasenya';
-$lang['Check your email for the confirmation link'] = 'Comprovi que ha rebut l\'enllaç de confirmació al seu correu electrònic';
+$lang['Check your email for the confirmation link'] = 'Comproveu que ha rebut l\'enllaç de confirmació al seu compte de correu electrònic';
 $lang['Invalid key'] = 'Clau invàlida';
 $lang['The passwords do not match'] = 'Les contrasenyes no coincideixen';
 $lang['Your password has been reset'] = 'S\'ha restablert la seva contrasenya.';
 $lang['Return to home page'] = 'Torna a la pàgina d\'inici';
-$lang['Please enter your username or email address.'] = 'Introdueixi el nom d\'usuari o el correu electrònic que va emprar per donar-se d\'alta.';
-$lang['You will receive a link to create a new password via email.'] = 'Rebrà un enllaç al seu correu electrònic que li permetrà crear una nova contrasenya.';
-$lang['Username or email'] = 'Nom d\'usuari o correu electrònic';
+$lang['Please enter your username or email address.'] = 'Introduïu el nom d\'usuari o l\'adreça de correu electrònic que vau emprar per donar-vos d\'alta.';
+$lang['You will receive a link to create a new password via email.'] = 'Hauríeu de rebre un correu electrònic amb un enllaç per restablir la contrasenya';
+$lang['Username or email'] = 'Nom d\'usuari o adreça de correu electrònic';
 $lang['Change my password'] = 'Restableix la meva contrasenya';
 $lang['Enter your new password below.'] = 'Introduïu la nova contrasenya.';
@@ -367,8 +367,8 @@
 $lang['Photo title, A &rarr; Z'] = 'Nom de l\'arxiu, A &rarr; Z';
 $lang['Photo title, Z &rarr; A'] = 'Nom de l\'arxiu, Z &rarr; A';
-$lang['Send my connection settings by email'] = 'Envia credencials al meu correu electrònic';
+$lang['Send my connection settings by email'] = 'Envia les dades de connexió al meu compte de correu electrònic';
 $lang['Show latest comments first'] = 'Mostra els comentaris nous primer';
 $lang['Show oldest comments first'] = 'Mostra primer els comentaris més antics ';
-$lang['Successfully registered, you will soon receive an email with your connection settings. Welcome!'] = 'Us heu inscrit correctament. En breu rebreu un correu electrònic amb les seves credencials de connexió.Benvingut!';
+$lang['Successfully registered, you will soon receive an email with your connection settings. Welcome!'] = 'Us heu inscrit correctament. En breu rebreu un correu electrònic amb les credencials de connexió. Benvingut!';
 $lang['Thank you for registering at %s!'] = 'Gràcies per registrar-te a %s!';
 $lang['Username modification'] = 'Modifica el nom d\'usuari';