Index: extensions/UserCollections/language/mn_MN/plugin.lang.php
===================================================================
--- extensions/UserCollections/language/mn_MN/plugin.lang.php	(revision 27806)
+++ extensions/UserCollections/language/mn_MN/plugin.lang.php	(revision 27812)
@@ -23,6 +23,6 @@
 $lang['The key must be at least 8 characters long'] = 'Түлхүүр үг доод тал нь 8 тэмдэгт байх ёстой';
 $lang['This key is already used'] = 'Уучлаарай, ийм нэр ашиглагдаж байна';
-$lang['Click here to view the complete collection'] = 'Цуглуулгаа харахыг хүсвэл энд дарна уу';
-$lang['Collection not found'] = 'Ийт цуглуулга олдсонгүй';
+$lang['Click here to view the complete collection'] = 'Цуглуулгыг харахыг хүсвэл энд дарна уу';
+$lang['Collection not found'] = 'Ийм цуглуулга олдсонгүй';
 $lang['Message (optional)'] = 'Зурвас (шаардлагатай бус)';
 $lang['Photos number, high &rarr; low'] = 'Зургийн тоогоор, ихээс &rarr; бага';
@@ -35,5 +35,5 @@
 $lang['Please enter the recipient name'] = 'Хүлээн авагчийн нэрээ оруулна уу';
 $lang['Please enter your name'] = 'Өөрийнхөө нэрийг оруулна уу';
-$lang['This collection is empty'] = 'Тухайн цуглуулга хоосон байна';
+$lang['This collection is empty'] = 'Цуглуулга хоосон байна';
 $lang['Recipient name'] = 'Хүлээн авагчийн нэр';
 $lang['(remove)'] = '(хасах)';
@@ -45,7 +45,7 @@
 $lang['Edit this collection'] = 'Тухайн цуглуулгийг засах';
 $lang['Error while sending e-mail'] = 'И-мэйлийг илгээхэд алдаа гарлаа';
-$lang['Expiration date'] = 'Дуусах хугацаа';
+$lang['Expiration date'] = 'Хүчэнгүй болох хугацаа';
 $lang['Fields'] = 'Талбар';
-$lang['Hello %s, %s sent you a photos collection from "%s"'] = 'Сайн байна уу %s, %s танд "%s"-с зургийн цуглуулга илгээсэн байна';
+$lang['Hello %s, %s sent you a photos collection from "%s"'] = ' %s Та сайн байна уу, %s танд "%s"-с зургийн цуглуулга илгээсэн байна';
 $lang['This link expired'] = 'Тухайн холбоос хуучирсан байна';
 $lang['You have %d collection'] = 'Танд %d цуглуулга байна';
@@ -54,5 +54,5 @@
 $lang['Your e-mail'] = 'Таны и-мэйл';
 $lang['Your name'] = 'Таны нэр';
-$lang['jump to photo'] = 'зураг уруу очих';
+$lang['jump to photo'] = 'цомог уруу очих';
 $lang['Save'] = 'Хадгалах';
 $lang['Send'] = 'Илгээх';
@@ -74,3 +74,17 @@
 $lang['Collections'] = 'Цуглуулга';
 $lang['Create a new collection'] = 'Шинэ цуглуулга үүсгэх';
+$lang['Share'] = 'Хуваалцах';
+$lang['%d more...'] = '%d илүү олон';
+$lang['by %s'] = 'цуглуулгийг үүсгэсэн: %s ';
+$lang['Restricted access'] = 'Нууц үгээ оруулна уу';
+$lang['Share deleted'] = 'Амжилттай устаглаа';
+$lang['Share key'] = 'Түлхүүр үг';
+$lang['Share this collection'] = 'Цуглуулгийг хуваалцах';
+$lang['Invalid collection'] = 'Буруу цуглуулга';
+$lang['Date added to collection, new &rarr; old'] = 'Цуглуулганд нэмсэн огноо, шинэ &rarr; хуучин';
+$lang['Date added to collection, old &rarr; new'] = 'Цуглуулганд нэмсэн огноо, хуучин &rarr; шинэ';
+$lang['Export image list'] = 'Зургийн жагсаалтыг экспортлох';
+$lang['Allow users to send their public collections by mail'] = 'Хэрэглэгчид цуглуулгаа бусдад и-мэйлээр илгээх боломжтой';
+$lang['Allow users to set their collections as public'] = 'Хэрэглэгчид цуглуулгаа нийтэд дэлгэх боломжтой';
+$lang['Clear this collection'] = 'Энэ цуглуулгыг цэвэрлэх';
 ?>