Index: /extensions/MyPiwiShop/language/da_DK/intro.html
===================================================================
--- /extensions/MyPiwiShop/language/da_DK/intro.html	(revision 27831)
+++ /extensions/MyPiwiShop/language/da_DK/intro.html	(revision 27832)
@@ -21,66 +21,66 @@
 <br> 
 <h4>Anvendelse</h4>
-  <h5>1 Côté administration du plugin dans l'onglet</h5>
-  <p style="font-weight:bold">1.1 _Configuration_</p>
+  <h5>1 Plugin'ens administrationsside</h5>
+  <p style="font-weight:bold">1.1 _Opsætning_</p>
   <ul> 
-  <li>Enter your Paypal code or Paypal email.</li>
-  <li>The currency used.</li>
-  <li>Expedion costs if they are fix, else include them in the product price.</li>
-  <li>If needed, enter a short description of your products (ex: 100% Coton Tee-shirts made in China...).</li>
-  <li>If needed, enter a short description to presents part of your products (ex: Choose one product in the list).</li>
-  <li>If needde, enter your text to present a unique product (ex: available product).</li>
+  <li>Angiv Paypal-adgangskode eller Paypal-mailadresse.</li>
+  <li>Anvendt valuta.</li>
+  <li>Forsendelsesomkostningerne, hvis de er faste, ellers medregn dem i produktprisen.</li>
+  <li>Om nødvendigt angives en kort beskrivelse af produkterne (fx: T-shirts fra Kina af 100 procent bomuld...).</li>
+  <li>Om nødvendigt angives en kort beskrivelse, til at præsentere dele af produkterne (fx: Vælg et produkt på listen).</li>
+  <li>Om nødvendigt angives en tekst til at præsentere et unikt produkt (fx: tilgængeligt produkt).</li>
   </ul>
   
-  <p style="font-weight:bold">1.2 _Products_</p>
+  <p style="font-weight:bold">1.2 _Produkter_</p>
   <ul> 
-  <li>1.2.1 Add product
-  <p>Enter the product name</p>
-  <p>If needed, use additional information. This note is visible in administraion page of MyPiwiShop</p>
-  <p>Enter the price</p>
-  <p>Select or create an option (refer §3.1)<p>
-  <p>Then submit</p>
+  <li>1.2.1 Tilføj produkt
+  <p>Skriv navnet på produktet</p>
+  <p>Om nødvendigt benyttes yderligere oplysninger. Bemærkningen er synlig på MyPiwiShops administrationsside</p>
+  <p>Skriv prisen</p>
+  <p>Vælg eller opret en valgmulighed (se § 3.1)<p>
+  <p>Gem dernæst</p>
   </li>
-  <li>1.2.2 Produst list
-  <p>Tick one or more products to remove them from the list</p>
-  <p>You can edit or duplicater products</p>
+  <li>1.2.2 Produktliste
+  <p>Afkryds et eller flere produkter for at fjerne dem fra listen</p>
+  <p>Man kan redigere eller kopiere produkter</p>
   </li>
-  <li>1.2.3 Manage product order in form
-  <p>Products are displayed by creation date order by default. You chan change this using drag and drop on product item</p>
+  <li>1.2.3 Håndtering af produktrækkefølgen på formularen
+  <p>Produkterne opremses som standard efter oprettelsesdatoen. Man kan ændre rækkefølgen ved at trække og slippe et produkt</p>
   </li>
   </ul>
   
-  <p style="font-weight:bold">1.3 _Options_</p>
+  <p style="font-weight:bold">1.3 _Valgmuligheder_</p>
   <ul> 
-  <li>1.3.1 Add an option
-  <p>Enter the option name</p>
-  <p>Select the option type: select: combo box (ex: size s/l/xl/xxl); radio: radio button (ex:cadre yes/no); text: text field (ex: border width in cm); textarea: text erea (ex: Let's comment); Checkbox: check button (ex: I read and accept terms of use)</p>
-  <p>If field is required to validate order, tick the box</p>
-  <p>If needed, use additional information. This note is visible in administraion page of MyPiwiShop</p>
-  <p>You have to create some values depending the selected option type (select, radio and checkbox)</p>
-  <p>Then apply changes</p>
+  <li>1.3.1 Tilføj en valgmulighed
+  <p>Skriv navnet på valgmuligheden</p>
+  <p>Vælg valgmulighedstypen: select: comboboks (fx: størrelse s/l/xl/xxl); radio: radioknap (fx: cadre ja/nej); text: tekstfelt (fx: rammebredde i cm); text area: tekstområde (fx: Tilføj kommentarer); Checkbox: afkrydsningsboks (fx: Jeg har læst og acceptere brugsbetingelserne)</p>
+  <p>Hvis et felt er krævet for at godkende en ordre, afkrydses boksen</p>
+  <p>Om nødvendigt benyttes yderligere oplysninger. Bemærkningen er synlig på MyPiwiShops administrationsside</p>
+  <p>Man skal oprette nogle værdier, afhængigt af valgmulighedstypen (select, radio og checkbox)</p>
+  <p>Udfør dernæst ændringerne</p>
   </li>
-  <li>1.3.2 Table of products
-  <p>Tick one or more options to delete</p>
-  <p>You can edit or duplicate an option</p>
+  <li>1.3.2 Produktoversigt
+  <p>Afkryds en eller flere valgmuligheder for at slette</p>
+  <p>Man kan redigere eller kopiere en valgmulighed</p>
   </li>
-  <li>1.3.3 Manage options order in form
-  <p> Options are listed by creation date by default. You can change this order using drag'n drop</p>
+  <li>1.3.3 Håndtering af valgmulighedsrækkefølgen på formularen
+  <p>Valgmulighederne opremses som standard efter oprettelsesdato. Man kan ændre rækkefølgen ved at trække og slippe</p>
   </li>
 
 
-  <h5> 2 Piwigo administration side</h5>
-  <p>Now you have to link one or more products to photos. For this use the page "photos/batch manager".</p>
+  <h5>2. Piwigo-administrationsside</h5>
+  <p>Nu skal et eller flere produkter linkes til fotografier.  Til formålet benyttes "fotografierbatch manager".</p>
   <br>
-  <li>2.1 Global mode</li>
-  <p>Select images you want to link to products.<p>
-  <p>In action menu, choose MyPiwiShop.<p>
-  <p>Select your products (You can also remove products already selected for theese pictures).</p>
-  <p>Then apply action</p>
+  <li>2.1 Global tilstand</li>
+  <p>Vælg billeder, som skal linkes til produkter.<p>
+  <p>I handlingsmenuen vælges MyPiwiShop.<p>
+  <p>Vælg produkterne (man kan også fjerne produkter, som allerede er valgt til billederne).</p>
+  <p>Udfør dernæst handlingen</p>
   <br>
-  <li>2.2 Single mode</li>
-  <p>For each photo you can use the link "see related products for this picture".<p>
-  <p>Products used for the picture are listed.</p>
-  <p>You can tick/untick products to link/unlink them to the photo.</p>
-  <p>Then validate the change</p>
+  <li>2.2 Enkelt-tilstand</li>
+  <p>For hvert fotografi kan man benytte linket "se relaterede produkter vedr. dette billede".<p>
+  <p>Produkter, der anvendes sammen med billedet, vises.</p>
+  <p>Kan kan til-/fravælge produkter, for at forbinde eller ophæve forbindelsen med fotografiet.</p>
+  <p>Godkend dernæst ændringen</p>
 </ul> 
   
Index: /extensions/MyPiwiShop/language/da_DK/plugin.lang.php
===================================================================
--- /extensions/MyPiwiShop/language/da_DK/plugin.lang.php	(revision 27831)
+++ /extensions/MyPiwiShop/language/da_DK/plugin.lang.php	(revision 27832)
@@ -36,5 +36,5 @@
 $lang['add value'] = 'tilføj værdi';
 $lang['drag / drop to change the order'] = 'træk/slip for at ændre rækkefølge';
-$lang['duplicate'] = 'dupliker';
+$lang['duplicate'] = 'kopier';
 $lang['option registered'] = 'valgmulighed registreret';
 $lang['products have been added to these images'] = 'produkter er føjet til disse billeder';
@@ -79,7 +79,6 @@
 $lang['Currency'] = 'Valuta';
 $lang['Display _MENU_ records per page'] = 'Vis _MENU_ poster pr. side';
-$lang['Duplicate '] = 'Dupliker';
+$lang['Duplicate '] = 'Kopier';
 $lang['Fields marked with * must be completed'] = 'Felter markeret med * skal udfyldes';
 $lang['No matching option found'] = 'Ingen tilsvarende valgmuligheder fundet';
 $lang['No product selected'] = 'Ingen produkter valgt';
-?>