Index: /extensions/Autosize/language/ru_RU/plugin.lang.php
===================================================================
--- /extensions/Autosize/language/ru_RU/plugin.lang.php	(revision 27839)
+++ /extensions/Autosize/language/ru_RU/plugin.lang.php	(revision 27840)
@@ -28,17 +28,17 @@
 $lang['cl_autosize_enabled'] = 'Включено';
 $lang['cl_autosize_height'] = 'Высота';
-$lang['cl_autosize_hlp_line1'] = 'Максимальный размер фотографии в зависимости от статуса пользователя.<br>Значения определяются в процентах (%) или пикселях (px).';
-$lang['cl_autosize_hlp_line2'] = 'Минимальный размер фотографии для включения автоматического изменения размера.';
-$lang['cl_autosize_hlp_line32'] = 'Минимальный размер фотографии';
-$lang['cl_autosize_hlp_line3'] = 'Автоматическое изменение размера будет отключено, если размер фотографии меньше, чем указанные значения.';
-$lang['cl_autosize_hlp_line4'] = 'Автоматическое изменение размера будет ограничено этим значением, если масштаб увеличения (отношение исходного размера фотографии к показываемому) превышает его.';
-$lang['cl_autosize_hlp_line5'] = 'Свободное пространство под фотографией для отображения легенды';
+$lang['cl_autosize_hlp_line1'] = 'Максимальный размер изображения в зависимости от статуса пользователя.<br>Значения определяются в процентах (%) или пикселях (px).';
+$lang['cl_autosize_hlp_line2'] = 'Минимальный размер изображения для включения автоматического изменения размера.';
+$lang['cl_autosize_hlp_line32'] = 'Минимальный размер изображения';
+$lang['cl_autosize_hlp_line3'] = 'Автоматическое изменение размера будет отключено, если размер изображения меньше, чем указанные значения.';
+$lang['cl_autosize_hlp_line4'] = 'Автоматическое изменение размера будет ограничено этим значением, если масштаб увеличения (отношение исходного размера изображения к показываемому) превышает его.';
+$lang['cl_autosize_hlp_line5'] = 'Свободное пространство под изображением для отображения легенды';
 $lang['cl_autosize_icon_view'] = 'Показывать иконку в панели инструментов';
-$lang['cl_autosize_info_2'] = 'Не изменять размер фотографии';
+$lang['cl_autosize_info_2'] = 'Не изменять размер изображения';
 $lang['cl_autosize_info'] = 'Автоматическое изменение размера в зависимости от размера окна браузера';
 $lang['cl_autosize_marge_basse'] = 'Нижняя граница';
-$lang['cl_autosize_miniheight2'] = 'Минимальная высота фотографии';
+$lang['cl_autosize_miniheight2'] = 'Минимальная высота изображения';
 $lang['cl_autosize_miniheight'] = 'Минимальная высота';
-$lang['cl_autosize_miniwidth2'] = 'Минимальная ширина фотографии';
+$lang['cl_autosize_miniwidth2'] = 'Минимальная ширина изображения';
 $lang['cl_autosize_miniwidth'] = 'Минимальная ширина';
 $lang['cl_autosize_save_config'] = 'Сохранить настройки.';
@@ -48,3 +48,2 @@
 $lang['cl_autosize_default_type_hlp'] = 'Выбрать режим по умолчанию';
 $lang['cl_autosize_fade_in'] = 'Ослабить на';
-?>