Index: extensions/MyPiwiShop/language/pt_BR/intro.html
===================================================================
--- extensions/MyPiwiShop/language/pt_BR/intro.html	(revision 27841)
+++ extensions/MyPiwiShop/language/pt_BR/intro.html	(revision 27841)
@@ -0,0 +1,84 @@
+ <style type="text/css">
+.pres li:before {
+    content: "- "; 
+}
+.pres p{
+	margin-top:0
+}
+.pres h5{
+	font-size:1.2em
+}
+
+</style> 
+
+<div class="pres">
+<p> Você quer vender produtos derivados de suas fotos,
+você quer vender algumas fotos com diferentes tamanhos ou qualidade e preços fixos diferentes para cada um?
+Você vende camisatas com fotografias impressas, canecas ou outros?
+  
+Este plugin adiciona um formulário em páginas de imagens propondo os produtos que você criar com essa imagem.
+Paypal é utilizado para a transação, você deve ter uma conta paypal. Quando a ordem é concluída, você tem os nomes de imagem e produto, as opções selecionadas, nome e endereço do usuário diretamente de sua conta paypal. </p>
+<br> 
+<h4>Como usar ?</h4>
+ <h5>1 Lado Administração da guia do plugin</h5>
+  <p style="font-weight:bold">1.1 _Configuração_</p>
+  <ul> 
+  <li>Entre seu código Paypal ou seu email Paypal.</li>
+  <li>A moeda usada.</li>
+  <li>Custo de expedição se fixo, também incluir no preço do produto.</li>
+  <li>Se necessário, digite uma breve descrição de seus produtos (ex: 100% Algodão Camisetas fabricadas na China ...).</li>
+  <li>Se necessário, digite uma breve descrição de parte dos seus produtos (ex: Escolha um produto na lista).</li>
+  <li>Se necessário, digite o texto para apresentar um produto único (ex: produto disponível).</li>
+  </ul>
+ <p style="font-weight:bold">1.2 _Produtos_</p>
+  <ul> 
+  <li>1.2.1 Adicinar produto
+  <p>Entrar o nome do produto</p>
+  <p>Se necessário, use informações adicionais. Esta nota é visível na página de administração do MyPiwiShop</p>
+  <p>Entre com o preço</p>
+  <p>Selecionar ou criar uma opção (referência §3.1)<p>
+  <p>Então submeter</p>
+  </li>
+  <li>1.2.2 Lista de produtos
+  <p>Marque um ou mais produtos para removê-los da lista</p>
+  <p>Você pode editar ou duplicar produtos</p>
+  </li>
+  <li>1.2.3 Gerenciar pedido do produto no formulário
+  <p>Os produtos são exibidos por ordem de data de criação, por padrão. Você pode mudar isso usando arrastar e soltar no item do produto</p>
+  </li>
+  </ul>
+  
+  <p style="font-weight:bold">1.3 _Opções_</p>
+  <ul> 
+  <li>1.3.1 Adicionar uma opção
+  <p>Entrar o nome de uma opção</p>
+  <p>Selecione o tipo de opção: selecionar: caixa de combinação (ex: tamanho s / ​​l / xl / xxl); botão: botão de opção (ex: quadro sim / não); texto: campo de texto (ex: largura da borda em cm); textarea: erea texto (ex: Vamos comentar); Caixa de seleção: botão de verificação (ex: Eu li e aceito os termos de uso)</p>
+  <p>Se o campo é necessário para validar o pedido, marque a caixa</p>
+  <p>Se necessário, use informações adicionais. Esta nota é visível na página de administração do MyPiwiShop</p>
+  <p>Você tem que criar alguns valores, dependendo do tipo de opção selecionada (seleção, botão e checkbox)</p>
+  <p>Em seguida, aplique as mudanças</p>
+  </li>
+  <li>1.3.2 Tabela de produtos
+  <p>Marque uma ou mais para eliminar</p>
+  <p>Vpcê pode duplicar uma opção</p>
+  </li>
+  <li>1.3.3 Gerenciar ordem de opções no formulário
+  <p> Opções são listados por data de criação, por padrão. Você pode alterar essa ordem utilizando arrastar e soltar</p>
+  </li>
+
+
+  <h5> 2 Lado administrativo Piwigo</h5>
+  <p>Agora você tem que ligar um ou mais produtos as fotos. Para isso, use a página de "photos/Batch Manager".</p>
+  <br>
+  <li>2.1 Modo global</li>
+  <p>Selecione as imagens que você deseja vincular a produtos.<p>
+  <p>No menu de ação, escolha MyPiwiShop.<p>
+  <p>Escolha o seu produto (Você também pode remover os produtos já selecionados para estas fotos).</p>
+  <p>Em seguida, aplique a ação</p>
+  <br>
+  <li>2.2 Modo único</li>
+  <p>Para cada foto você pode usar o link "ver produtos relacionados a este foto".<p>
+  <p>Produtos utilizados para a imagem são listados.</p>
+  <p>Você pode marcar/desmarcar produtos para conectar/desconectar da foto.</p>
+  <p>Em seguida, validar a alteração</p>
+</ul> 
Index: extensions/MyPiwiShop/language/pt_BR/plugin.lang.php
===================================================================
--- extensions/MyPiwiShop/language/pt_BR/plugin.lang.php	(revision 27839)
+++ extensions/MyPiwiShop/language/pt_BR/plugin.lang.php	(revision 27841)
@@ -86,3 +86,2 @@
 $lang['Fields marked with * must be completed'] = 'Os campos marcados com * devem ser preenchidos';
 $lang['No matching option found'] = 'Nenhuma opção correspondente encontrada';
-?>