Index: /extensions/MyPiwiShop/language/de_DE/description.txt
===================================================================
--- /extensions/MyPiwiShop/language/de_DE/description.txt	(revision 27855)
+++ /extensions/MyPiwiShop/language/de_DE/description.txt	(revision 27856)
@@ -1,1 +1,1 @@
-Erstellen Sie einen Micro-Shop mit Produkten von ihren Bildern
+Erstellen Sie einen Online-Shop mit Produkten ihrer Bilder
Index: /extensions/MyPiwiShop/language/de_DE/intro.html
===================================================================
--- /extensions/MyPiwiShop/language/de_DE/intro.html	(revision 27855)
+++ /extensions/MyPiwiShop/language/de_DE/intro.html	(revision 27856)
@@ -13,73 +13,71 @@
 
 <div class="pres">
-<p>You want to sell products derivated from your pictures, 
-you want to sell some photos with different sizes or quality and fixe diffrents prices for each one ? 
-You sell some tee-shirts with photo printed, mugs or others ? 
-  
-This plugin add a form in image pages to propose for the selected image the products you create with it.
-Paypal is used for the transaction, you MUST have a paypal account. When order is completed, you've got the picture and product names, the selected options, name and address of the user directly from your paypal account.</p>
+<p>Möchten Sie Produkte mit Ihren Bildern verkaufen, wollen Sie einige Bilder in verschiedenen Größen und Qualitäten zu festen Preisen an jeden verkaufen? Sie können zum Beispiel T-Shirts und Tassen mit ihren Bildern verkaufen. 
+
+Mit diesem Plugin fügen Sie ein Formular in ihre Bilder Seiten ein, um mit dem ausgewählten Bild verschiedene Produkte anzubieten. Für die Transaktionen wird PayPal verwendet, wofür sie auch über ein PayPal-Konto verfügen müssen. Wenn eine Bestellung abgeschlossen ist, verfügen Sie über die Bild- und Produktnamen, für die ausgewählten Optionen, eben so über Name und Adresse des Bestellers, direkt von Ihrem PayPal-Konto.</p>
 <br> 
-<h4>Howto use ?</h4>
-  <h5>1 Côté administration du plugin dans l'onglet</h5>
-  <p style="font-weight:bold">1.1 _Configuration_</p>
+<h4>Wie wird es benutzt?</h4>
+  <h5>1 Administrativer Bereich des Plugins in der Registerkarte </h5>
+  <p style="font-weight:bold">1.1 _Konfiguration_</p>
   <ul> 
-  <li>Enter your Paypal code or Paypal email.</li>
-  <li>The currency used.</li>
-  <li>Expedion costs if they are fix, else include them in the product price.</li>
-  <li>If needed, enter a short description of your products (ex: 100% Coton Tee-shirts made in China...).</li>
-  <li>If needed, enter a short description to presents part of your products (ex: Choose one product in the list).</li>
-  <li>If needde, enter your text to present a unique product (ex: available product).</li>
+  <li>Geben Sie Ihren Paypal-Code oder ihre Paypal E-Mail Adresse an.</li>
+  <li>Die verwendete Währung.</li>
+  <li>Versandkosten, wenn sie nicht im Produkt-Preis enthalten sind.</li>
+  <li>Wenn nötig, geben Sie eine kurze Beschreibung Ihrer Produkte an (z.B. 100% Baumwolle T-shirts in China hergestellt).</li>
+  <li>Wenn nötig, geben Sie eine kurze Beschreibung ein, um Teile Ihrer Produkte zu zeigen (z.B. Wählen Sie ein Produkt aus der Liste).</li>
+  <li>Wenn nötig, geben Sie einen Text ein, der die Einzigartigkeit des Produktes beschreibt (z.B. Verfügbarkeit).</li>
   </ul>
   
-  <p style="font-weight:bold">1.2 _Products_</p>
+  <p style="font-weight:bold">1.2 _Produkte_</p>
   <ul> 
-  <li>1.2.1 Add product
-  <p>Enter the product name</p>
-  <p>If needed, use additional information. This note is visible in administraion page of MyPiwiShop</p>
-  <p>Enter the price</p>
-  <p>Select or create an option (refer §3.1)<p>
-  <p>Then submit</p>
+  <li>1.2.1 Produkt hinzufügen
+  <p>Geben Sie den Produktnamen an</p>
+  <p>Verwenden Sie bei Bedarf zusätzliche Informationen. Dieser Hinweis ist auf der  Administration Seite in MyPiwiShop sichtbar.</p>
+  <p>Geben Sie den Preis an</p>
+  <p>Wählen oder erstellen Sie eine Option (siehe § 3.1)<p>
+  <p>Dann bestätigen</p>
   </li>
-  <li>1.2.2 Produst list
-  <p>Tick one or more products to remove them from the list</p>
-  <p>You can edit or duplicater products</p>
+  <li>1.2.2 Produkt-Liste
+  <p>Markiern Sie ein oder mehrere Produkte, um sie aus der Liste zu entfernen</p>
+  <p>Sie können Produkte bearbeiten oder duplizieren</p>
   </li>
-  <li>1.2.3 Manage product order in form
-  <p>Products are displayed by creation date order by default. You chan change this using drag and drop on product item</p>
+  <li>1.2.3 Produkt im Bestellformular verwalten
+  <p>Die Produkte werden standardmäßig nach Erstellungsdatum angezeigt. Sie können das per Drag & Drop der Produkte ändern.</p>
   </li>
   </ul>
   
-  <p style="font-weight:bold">1.3 _Options_</p>
+  <p style="font-weight:bold">1.3 _Optionen_</p>
   <ul> 
-  <li>1.3.1 Add an option
-  <p>Enter the option name</p>
-  <p>Select the option type: select: combo box (ex: size s/l/xl/xxl); radio: radio button (ex:cadre yes/no); text: text field (ex: border width in cm); textarea: text erea (ex: Let's comment); Checkbox: check button (ex: I read and accept terms of use)</p>
-  <p>If field is required to validate order, tick the box</p>
-  <p>If needed, use additional information. This note is visible in administraion page of MyPiwiShop</p>
-  <p>You have to create some values depending the selected option type (select, radio and checkbox)</p>
-  <p>Then apply changes</p>
+  <li>1.3.1 Eine Option hinzufügen
+  <p>Geben Sie den Optionsnamen ein</p>
+  <p>Wählen Sie die Options Typen: Wählen Sie die Combo Box: Kombifeld (z.B.: Größe S/L/XL/XXL ), Radio: Radio-Button (z.B.: Rahmen ja/nein), Text: Textfeld (z.B.: Randbreite in cm); Text-Area: Textbereich (z.B.: Kommentieren); Checkbox: Check-Box (z.B.: Ich habe die Nutzungsbedingungen gelesen und akzeptiere diese)</p>
+  <p>Wenn das Feld zur Überprüfung der Bestellung erforderlich ist, klicken Sie das Kästchen an</p>
+  <p>Verwenden Sie bei Bedarf zusätzliche Informationen. Dieser Hinweis ist auf der Administrations Seite von MyPiwiShop sichtbar</p>
+  <p>Sie müssen einige Werte in Abhängigkeit der gewählten Option eingeben (wählen Sie z.b. Radio- und Kontroll-Button)</p>
+  <p>Dann Änderungen zu übernehmen</p>
   </li>
-  <li>1.3.2 Table of products
-  <p>Tick one or more options to delete</p>
-  <p>You can edit or duplicate an option</p>
+  <li>1.3.2 Tabelle der Produkte
+  <p>Zum Löschen kreuzen Sie eine oder mehrere Optionen an</p>
+  <p>Sie können eine Option bearbeiten oder duplizieren</p>
   </li>
-  <li>1.3.3 Manage options order in form
-  <p> Options are listed by creation date by default. You can change this order using drag'n drop</p>
+  <li>1.3.3 Bestell Optionen im Formular verwalten
+  <p>Die Optionen werden standardmäßig nach Erstellungsdatum angezeigt. Sie können dies per Drag & Drop der Optionen ändern.</p>
   </li>
 
 
-  <h5> 2 Piwigo administration side</h5>
-  <p>Now you have to link one or more products to photos. For this use the page "photos/batch manager".</p>
+  <h5>2 Piwigo Verwaltungsseite</h5>
+  <p>Nun müssen Sie ein oder mehrere Produkte mit Fotos verknüpfen. Dazu verwenden Sie die Seite "Fotos/Batch Manager".</p>
   <br>
-  <li>2.1 Global mode</li>
-  <p>Select images you want to link to products.<p>
-  <p>In action menu, choose MyPiwiShop.<p>
-  <p>Select your products (You can also remove products already selected for theese pictures).</p>
-  <p>Then apply action</p>
+  <li>2.1 Global-Modus</li>
+  <p>Wählen Sie Bilder, die Sie mit Produkten verknüpfen möchten.<p>
+  <p>Im Aktionsmenü, wählen Sie MyPiwiShop.<p>
+  <p>Wählen Sie Ihre Produkte (Sie können auch Produkte, die bereits für diese Bilder ausgewählt wurden, wieder entfernen).</p>
+  <p>Vorgang durchführen</p>
   <br>
-  <li>2.2 Single mode</li>
-  <p>For each photo you can use the link "see related products for this picture".<p>
-  <p>Products used for the picture are listed.</p>
-  <p>You can tick/untick products to link/unlink them to the photo.</p>
-  <p>Then validate the change</p>
+  <li>2.2 Einzel-Modus</li>
+  <p>Für jedes Bild können Sie den Link "Siehe verwendete Produkte für dieses Bild" benutzen.<p>
+  <p>Liste der Produkte die für ein Bild verwendet werden.</p>
+  <p>Sie können Produkte an/abwählen um sie mit Bildern zu verknüpfen.</p>
+  <p>Dann bestätigen Sie die Änderung</p>
 </ul> 
+ 